'use strict';if(window.webhelp===undefined)window.webhelp={};window.webhelp.toc=[{"title":"About this Guide","url":"r_abt-config-guide.html","description":"This preface describes the Ultra Cloud Core 5G Policy Control Function, the document conventions, and the customer support details.","children":[{"title":"Conventions Used","url":"r_conventions-used.html","description":"The following tables describe the conventions used throughout this documentation. Notice Type Description Information Note Provides information about important features or instructions. Caution Alert"},{"title":"Contacting Customer Support","url":"r_contacting-customer-support.html","description":"Use the information in this section to contact customer support. Refer to the support area of http://www.cisco.com for up-to-date product documentation or to submit a service request. A valid usernam"}]},{"title":"UCC 5G PCF - Release Change Reference","url":"g_pcf-rcr_2021-02.html","children":[{"title":"Features and Changes Quick Reference","url":"r_features_and_changes_quick_reference.html","description":"Features / Behavior Changes Release Introduced / Modified N5 Interface 2022.02.0 Message Threshold Per Endpoint 2022.02.0 Diameter Peer Load Rebalancing 2022.02.0"},{"title":"Feature Defaults Quick Reference","url":"r_feature_defaults_quick_reference.html","description":"The following table indicates what features are enabled or disabled by default. Feature Default N5 Interface Enabled \u2013 Always on Message Threshold Per Endpoint Disabled \u2013 Configuration required to en"},{"title":"Message Threshold Per Endpoint","url":"r_message_threshold_per_endpoint.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7.html","children":[{"title":"Summary Data","url":"r_summary_data_message_threshold_per_endpoint.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation UCC 5G PCF Configuration"},{"title":"Revision History","url":"r_revision_history_message_threshold_per_endpoint.html","description":"Revision History Revision Details Release Enhancement introduced. PCF supports message threshold per endpoint. 2022.02.0"}]},{"title":"Feature Description","url":"r_feature_description_message_threshold_per_endpoint.html","description":"PCF supports the message threshold per endpoint. Message threshold is applicable only for the configured message types in rest-endpoint. For more information, see the Advanced Tuning Parameters chapt"}]},{"title":"N5 Interface","url":"r_n5_interface_2.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_2.html","children":[{"title":"Summary Data","url":"r_summary_data_n5_interface.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Always-on Related Documentation UCC 5G PCF Configuration and Administration Guid"},{"title":"Revision History","url":"r_revision_history_n5_interface.html","description":"Revision History Revision Details Release Enhancement introduced. PCF supports N5 Interface. 2022.02.0"}]},{"title":"Feature Description","url":"r_feature_description_n5_interface.html","description":"PCF supports the N5 Interface. For more information, see the Cisco Common Data Layer, Dummy N7 Notify Request, Dynamic ARP Functionality for PC and PV, Dynamic ARP Functionality for PL, Handling the "}]},{"title":"Diameter Peer Load Rebalancing","url":"r_diameter_peer_load_rebalancing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_3.html","children":[{"title":"Summary Data","url":"r_summary_data_peer_load_balancing_on_diameter.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation UCC 5G PCF Configuration"},{"title":"Revision History","url":"r_revision_history_peer_load_balancing_on_diameter.html","description":"Revision History Revision Details Release First introduced. 2022.02.0"}]},{"title":"Feature Description","url":"r_feature_description_peer_load_balancing_on_diameter.html","description":"PCF supports diameter peer load rebalancing. For more information, see the Diameter Peer Load Rebalancing chapter."}]}]},{"title":"About PCF","url":"g_part1-abt-pcf.html","description":"The Policy Control Function (PCF) is one of the essential network functions that are provided by Cisco. PCF is designed to provide all the PCRF capabilities in the 5G paradigm, the 5G QoS policy and ","children":[{"title":"5G Architecture","url":"g_5g-architecture-wrapper.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7.html","description":"Summary Data Applicable Product(s) or Functional Area PCF SMF UPF Applicable Platform(s) SMI Feature Default Setting Not Applicable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9.html","description":"Revision History Revision Details Release First introduced. Pre-2020.02.0"}]},{"title":"Overview","url":"r_overview_2_3.html","description":"The Ultra Cloud Core is Cisco\u0027s solution supporting 3GPP\u0027s standards for 5G new radio (NR) standalone (SA) mode. These standards define various network functions (NFs) based on the separation of cont","children":[{"title":"Control Plane Network Functions","url":"r_control_plane_nfs.html","description":"The CP-related NFs that comprise the Ultra Cloud Core are based on a common architecture that is designed around the following tenants: Cloud-scale\u2014Fully virtualized for simplicity, speed, and flexib"},{"title":"User Plane Network Function","url":"r_user_plane_nf.html","description":"The 5G UP NF within the Ultra Cloud Core is the User Plane Function (UPF). Unlike the CP-related NFs, the 5G UPF leverages the same Vector Packet Processing (VPP) technology currently in use by the u"}]},{"title":"Subscriber Microservices Infrastructure Architecture","url":"r_subscriber_microservices_infrastructure_architecture.html","description":"The Ultra Cloud Core (UCC) Subscriber Microservices Infrastructure (SMI) is a layered stack of cloud technologies that enable the rapid deployment of, and seamless life-cycle operations for microserv"},{"title":"Control Plane Network Function Architecture","url":"r_control_plane_network_function_architecture.html","description":"Control plane (CP) NFs are designed around a three-tiered architecture that take advantage of the stateful or stateless capabilities that are afforded within cloud native environments. The architectu"}]},{"title":"PCF Overview","url":"g_pcf-overview.html","children":[{"title":"Product Description","url":"r_product-descrip-pcf-ovw.html","description":"The Cisco Policy Control Function (PCF) is one of the control plane network functions (NF) of the 5G core network (5GC). Cisco PCF is an evolution from Cisco Policy and Charging Rules Function (PCRF)","children":[{"title":"Use Cases","url":"g_usecases-overview.html","description":"The policy charging solution can be potentially applied to address various business scenarios. Some of the key application scenarios are described in this section.","children":[{"title":"Base PCF Configuration","url":"r_usecase-base-config.html","description":"PCF base configuration provides a detailed view of the configurations that are required for making PCF operational. This includes setting up the infrastructure to deploy PCF, deploying PCF through SM"},{"title":"Infrastructure","url":"r_usecase-infrastructure.html","description":"With moving to 5G Core, Cisco has built PCF to have a robust and flexible infrastructure. Considering the rapidly evolving industry trends in the area of capacity and bandwidth, the infrastructure is"},{"title":"Interoperability with CHF","url":"r_usecase-chf-integration.html","description":"Complying with the charging architecture published in 3GPP December 2018 release 15. In the 5G Service-based architecture, PCF interoperates with the CHF. For instance, PCF determines the policy deci"},{"title":"Interoperability with NRF","url":"r_usecase-nrf.html","description":"The Network Repository Function (NRF) is one of the key network entities in the 5G Core Network (5GC). It primarily maintains the NF profile of the available NF instances and their supported services"},{"title":"Configuring LDAP for Subscriber Query","url":"r_usecase-ldap-client-server.html","description":"The policy charging solution combines with LDAP to sends and receives trusted information about the modified subscriber or subscriber details through the LDAP interface. PCF has constructed the follo"},{"title":"Parity with 4G","url":"r_4g-parity-use-case.html","description":"4G introduced cutting-edge solutions that redefined the way humans consumed cellular technology. It turned out to be an inherent part of exponential growth and amplified human advancement with AI, Io"},{"title":"VoNR","url":"r_usecase-vonr.html","description":"In the new 5G spectrum, the subscribers are aware of the transitioning infrastructure that offers high-speed, increased capacity, reduced cost, real-time interaction, and other innovative offerings. "}]},{"title":"Deployment Architecture and Interfaces","url":"r_deployarchitecture-interface-pcf-ovw.html","description":"The Cisco PCF is part of the 5G core network functions portfolio with a common mobile core platform architecture. These network functions include Access and Mobility Management Function (AMF), Sessio","children":[{"title":"PCF Architecture","url":"r_pcf-architecture.html","description":"The PCF architecture is built on a multi-layer platform, which enables efficient policy control and management in the 5G Core network. PCF Architecture At a high level, the components in the architec"},{"title":"PCF Deployment Architecture","url":"r_pcf-deployment.html","description":"The PCF reduces the deployment complexity by integrating PCRF and PCF in a unified environment. The following figure illustrates the PCF deployment. PCF Deployment The PCRF\u0027s deployment architecture "},{"title":"Supported Interfaces","url":"r_supportedinterfaces-pcf-ovw.html","description":"PCF and other NFs in 5GC use the following: Rx\u2013 Reference point for interworking with AF, PCRF, and PCF N5\u2013 Reference point between PCF and AF N7\u2013 Reference point between PCF and SMF N15\u2013 Reference p"}]}]}]},{"title":"Deploying and Configuring PCF through Ops Center","url":"g_pcf-deploy-configure-pcf-via-ops-center.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Default Setting Enabled \u2013 Always-on Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","description":"Revision HistoryRevision DetailsReleaseFirst introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"The PCF deployment and configuration process involve deploying PCF through the SMI Deployer and configuring the settings or customization through the PCF Ops Center. The Ops Center is based on the Co","children":[{"title":"PCF Ops Center","url":"r_policy-ops-center-overview.html","description":"The PCF Ops Center allows you to configure the PCF features such as configuring the license, PCF Engine, REST endpoint, and CDL. You can also configure the NRF components that enable the interworking"},{"title":"Prerequisites","url":"r_prereq.html","description":"Before deploying PCF on the SMI layer, complete the following prerequisites. Ensure that all the virtual network functions (VNFs) are deployed. Run the SMI sync operation for the PCF Ops Center and C"}]},{"title":"Deploying and Accessing PCF","url":"r_config-pcf.html","description":"This section describes how to deploy PCF and access the PCF Ops Center. Deploying PCF involves the following steps: Deploying PCF Accessing the PCF Ops Center","children":[{"title":"Deploying PCF","url":"r_deploying_pcf_2020_05_release.html","description":"The Subscriber Microservices Infrastructure (SMI) platform is responsible for deploying and managing the Cloud Native 5G PCF application and other network functions. For information on how to deploy "},{"title":"Accessing the PCF Ops Center","url":"r_access-opscenter.html","description":"This section describes how to access the PCF Ops Center. You can access the PCF Ops Center from the console application or the Web-based CLI console. Depending upon your selection, access one of the "}]}]},{"title":"Smart Licensing","url":"g_pcf-smart-licensing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-sumary-revision-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10.html","description":"Summary Data Applicable Products or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2.html","description":"Revision History Revision Details Release First introduced. 2020.02.0"}]},{"title":"Smart Software Licensing","url":"r_smart-licensing-overview.html","description":"Smart Licensing is a cloud-based approach to licensing that simplifies the purchase, deployment, and management of Cisco software assets. Entitlements are purchased through your Cisco account via Cis","children":[{"title":"Cisco Software Central","url":"r_cisco-smart-software-manager.html","description":"Cisco Software Central (CSC) enables the management of software licenses and Smart Account from a single portal. The interface allows you to activate your product, manage entitlements, and renew and "},{"title":"Smart Accounts/Virtual Accounts","url":"r_smart-virtual-accounts.html","description":"A Smart Account provides a single location for all Smart-enabled products and entitlements. It helps speed procurement, deployment, and maintenance of Cisco Software. When creating a Smart Account, y"},{"title":"Request a Cisco Smart Account","url":"r_request-smart.html","description":"A Cisco Smart Account is an account where all products enabled for Smart Licensing are deposited. A Cisco Smart Account allows you to manage and activate your licenses to devices, monitor license use"},{"title":"PCF Smart Licensing","url":"r_pcf-smart-licensing.html","description":"At present, the Smart Licensing feature supports application entitlement for online and offline licensing for all Cisco 5G applications (PCF and SMF). The application usage is unrestricted during all"},{"title":"Software Tags and Entitlement Tags","url":"r_software-entitlement-tags.html","description":"Tags for the following software and entitlements have been created to identify, report, and enforce licenses. Software Tags Software tags uniquely identify each licensable software product or product"}]},{"title":"Configuring Smart Licensing","url":"r_configuring-smart-licensing.html","description":"You can configure Smart Licensing after a new PCF deployment.","children":[{"title":"Users with Access to CSC","url":"r_end-users-with-access-cssm-account.html","description":"This section describes the procedure involved in configuring Smart Licensing for users with access to CSC portal from their internal environment. Setting Up the Product and Entitlement in CSC Before "},{"title":"Users without Access to CSC","url":"r_end-users-without-access-cssm-account.html","description":"The Smart License Reservation feature \u2013 Perpetual Reservation \u2013 is reserved for customers without access to CSC from their internal environments. With this feature, Cisco allows customers to reserve "}]},{"title":"OAM Support","url":"r_monitoring-and-troubleshooting.html","description":"This section describes operations, administration, and maintenance support for this feature.","children":[{"title":"Monitoring and Troubleshooting Smart Licensing","url":"r_monitoring-troubleshooting.html","description":"You can use the following show commands to display information about Smart Licensing in the PCF Ops Center. show license [all | UDI | displaylevel | reservation | smart | status | summary | tech-supp"}]}]},{"title":"PCF Rolling Software Update","url":"g_pcf-rolling-software-update.html","children":[{"title":"Supported Upgrade Procedures","url":"r_supported-upgrade-procedures.html","description":"The software upgrade to PCF April release from earlier releases requires site isolation procedure and MOP steps needs executed during the Maintenance Window, in-service upgrade isn\u2019t supported since "},{"title":"Introduction","url":"r_introduction.html","description":"The Cisco PCF has a three-tier architecture which consists of Protocol, Service, and Session tiers. Each tier includes a set of microservices (pods) for a specific functionality. Within these tiers, "},{"title":"Updating PCF","url":"r_updating-pcf.html","description":"The following section describes the procedure involved in updating the PCF software: Rolling Software Update Using SMI Cluster Manager","children":[{"title":"Rolling Software Update Using SMI Cluster Manager","url":"r_rolling-software-update.html","description":"The PCF software update or in-service update procedure utilizes the K8s rolling strategy to update the pod images. In K8s rolling update strategy, the pods of a StatefulSet are updates sequentially t","children":[{"title":"Prerequisites","url":"r_prerequisites.html","description":"The prerequisites for upgrading PCF are: All the nodes \u2013 including all the pods in the node \u2013 are up and running. A patch version of the PCF software. Currently, major versions do not support the rol","children":[{"title":"PCF Health Check","url":"r_pcf-health-check.html","description":"You need to perform a health check to ensure that all the services are running and nodes are in ready state. To perform a health check: Log in to master node and use the following configuration: kube"},{"title":"Preparing for Upgrade","url":"r_preparing-the-upgrade.html","description":"This section describes the procedure involved creating a backup configuration, logs, and deployment files. To back up the files: Log in to the SMI Cluster Manager Node as an ubuntu user. Create a new"},{"title":"Back Up SVN, Policy, and CRD Data","url":"r_back-up-svn-policy-crd.html","description":"This section describes the procedure involved in creating a backup of SVN, Policy, and CRD data. To perform a backup of SVN and Policy files: Log in to the master node as an ubuntu user. Use the foll"},{"title":"Back Up Ops Center Configuration","url":"r_back-up-ops-center-config.html","description":"This section describes the procedure involved in creating a backup of the Ops Center configurations. To perform a backup of the Ops Center configurations: Log in to SMI Cluster Manager node as an ubu"},{"title":"Back Up CEE and PCF Ops Center Configuration","url":"r_backup-pcf-cee-config.html","description":"This section describes the procedure involved in creating a backup of CEE and Ops Center configuration from the master node. To perform a backup of CEE and Ops Center configuration: Log in to the mas"}]},{"title":"Upgrading the PCF","url":"r_upgrading-the-pcf.html","description":"This section describes the procedures involved in upgrading PCF.","children":[{"title":"Staging a New PCF Image","url":"r_staging-new-pcf-image.html","description":"This section describes the procedure involved in staging a new PCF image before initiating the upgrade. To stage the new PCF image: Download and verify the new PCF image. Log in to the SMI Cluster Ma"},{"title":"Triggering the Rolling Software Upgrade","url":"r_triggering-the-rolling-software-upgrade.html","description":"The PCF utilizes the SMI Cluster Manager to perform a rolling software update. To update PCF using SMI Cluster Manager, use the following configurations: Before you begin, ensure that PCF is up and r"},{"title":"Monitoring the Upgrade","url":"r_monitoring-the-upgrade.html","description":"You can monitor the status of the upgrade through SMI Cluster Manager Ops Center. To monitor the upgrade status, use the following configurations: config clusters cluster_name actions sync run debug "}]},{"title":"Validating the Upgrade","url":"r_validating-the-pcf.html","description":"This section describes the procedures involved in validating the upgrade process.","children":[{"title":"Viewing the Pod Details","url":"r_viewing-pod-details-pcf.html","description":"You can view the details of the current pods through CEE Ops Center. To view the pod details, use the following command (in CEE Ops Center CLI): cluster pods instance_name pod_name detail cluster pod"},{"title":"Verifying the Helm Status","url":"r_verify-helm-status.html","description":"This section describes the procedure involved in verifying the helm status. You need to determine whether the deployed helm chart is listed in the helm list successfully. To determine the helm status"},{"title":"Verifying the Pods","url":"r_verifying-pod-states.html","description":"This section describes the procedure involved in determining the pod and container status after upgrading PCF. You need to ensure that the pods and containers are up and running. Use the following co"}]},{"title":"Rollback the Upgrade","url":"r_rollback-the-upgrade.html","description":"You can rollback the upgrade if you encounter any issues during the upgrade process. This section describes the procedure involved rolling back the upgrade.","children":[{"title":"Reloading PCF Ops Center Configuration","url":"r_reloading-pcf-ops-center-config.html","description":"This section describes the procedure involved in reloading the PCF Ops Center configuration from the backup file. To reload the PCF Ops Center configuration: Log in to the SMI console as an ubuntu us"},{"title":"Updating PCF Ops Center Configuration","url":"r_updating-pcf-ops-confif-after-restoring.html","description":"This section describes the procedure involved in updating the PCF Ops Center configuration after restoring it. To update the PCF Ops Center configuration: Log in to the master node as an ubuntu user."},{"title":"Restoring the Configuration from Back Up","url":"r_restoring-config-from-backup.html","description":"This section describes the procedure involved in restoring all the Policy Builder and CRD configuration files from the backup. Restoring Policy Builder Configuration Log in to the master node as an u"}]}]}]}]},{"title":"3GPP Specification Compliance for PCF Interfaces","url":"g_3gpp-compliance.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revison-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Summary Data Applicable Products or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Not Applicable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Revision History Revision Details Release Enhancement introduced. PCF supports N5 Interface. 2022.02.0 First introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"The PCF is compliant with the December 2018 and June 2019 compliance version of 3GPP specification for the PCF interfaces such as N7, N25, N28, and Nnrf. The PCF processes the messages from these int","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2.html","description":"The PCF is one of the control plane network functions (NFs) of the 5G core network. The PCF uses different interfaces to communicate with the other NFs or nodes, for example, the N7 interface exists "}]},{"title":"Configuring Interfaces and Endpoints","url":"r_configuring-interfaces.html","description":"This section describes how to configure the interfaces/endpoints that interact with PCF. For configuring the N5, N7, N15, N25, and N28, see Configuring the REST Endpoints. For configuring the LDAP en"}]},{"title":"Basic Systems Configuration","url":"g_basicsystemsconfiguration.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_revision_2.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history.html","description":"Revision History Revision Details Release First introduced. 2020.05.01"}]},{"title":"Overview","url":"r_overview_2.html","description":"The PCF provides the Policy Builder as an interface for policy management. Policies translate a Service Provider\u2019s business rules into actionable, logical processing methods that the PCF enforces on "},{"title":"Adding a System","url":"r_add_system.html","description":"This section describes how to add a system. After installation, use this procedure to set up your Policy Builder by using an example populated with default data. You can change anything that does not"}]},{"title":"Cisco Common Data Layer","url":"g_gr-cdl.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"Revision History Revision Details Release Enhancement introduced. PCF supports N5 Interface. 2022.02.0 Enhancement introduced. PCF can handle issues of multiple CDL entry updates when multiple RxSTR "}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10.html","children":[{"title":"Geographic Redundancy","url":"r_gr_support.html","description":"The PCF extends support to the Geographic Redundancy (GR) version of the Cisco Common Data Layer (CDL). When the highest rated CDL endpoint fails, PCF attempts the same operation on the next highly r","children":[{"title":"Limitations","url":"r_limitations_2_3_4_5.html","description":"This GR support feature has the following limitations: The PCF attempts to reroute the calls only when it encounters gRPC errors such as UNAVAILABLE. It does not acknowledge errors that the datastore"}]},{"title":"Stale Sessions Cleanup","url":"r_purging_stale_sessions.html","description":"In the CDL sessions, PCF adds the unique session key SupiDnnKey and the pre-existing unique keys that include FramedIpv6PrefixKey. With the CDL\u0027s index overwrite detection command in the PCF Ops Cent","children":[{"title":"Limitations","url":"r_limitations_stale_sessions.html","description":"This Stale Sessions Cleanup feature has the following limitations: Operations that depend on indexes for the stale sessions require either of the following: The sessions must be present at the same s"}]},{"title":"Synchronizing the Index Records","url":"r_sync_operation.html","description":"Sometimes after the local site is reinstated, the index data on both the sites may not be consistent. To reconcile the records and eliminate the discrepancy in the sites, configure the sync operation"},{"title":"Architecture","url":"r_architecture_2_3_4.html","description":"You can configure CDL through PCF Ops Center. CDL in the GR mode replicates the session data across the configured sites. When PCF connects to the CDL, it always treats the local CDL endpoints as the"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"This section describes how this feature works. Geographic Redundancy When you configure the CDL in PCF through the PCF Ops Center, PCF gets enabled to support multiple CDL datastore endpoints. You ca","children":[{"title":"Processing of CDL Conflict Notification","url":"r_processing_of_cdl_notification.html","description":"The local and remote sites receive the same CDL conflict notification. The site where session is created will process the notification and the other site ignores the notification. Based on GeoSiteNam"},{"title":"Call Flows","url":"r_call-flows_2_3_4_5.html","description":"This section describes the key call flows for this feature.","children":[{"title":"CDL Endpoint Failure Call Flow","url":"r_cdl-endpoint-failure-call-flow.html","description":"This section describes the CDL Endpoint Failure call flow. CDL Endpoint Failure Call Flow CDL Endpoint Failure Call Flow DescriptionStepDescription 1 In the Site 1 environment, the SMF sends a N7 Cre"},{"title":"GR Call Flows","url":"r_gr-scenarios.html","description":"This section describes the possible CDL GR mode call flows scenarios that could start a failover to another site.","children":[{"title":"Indexing Shard Failure Call Flow","url":"r_indexing-shard-failure.html","description":"This section describes how the failover happens when two index replicas that belong to the same shard are down or unavailable. The indexing shard failure is an example of two points-of-failure scenar"},{"title":"Slot Replica Set Failure Call Flow","url":"r_slot-failure.html","description":"This section describes how the failover happens when two slot replicas that belong to the same replica set are down or unavailable. The slot failure is an example of two points-of-failure scenario wh"}]},{"title":"Local and Remote Sites Receive Rx_STR Without Any Time Gap Call Flow","url":"r_local_and_remote_sites_receive_rx_str_without_any_time_gap_call_flow.html","description":"This section describes the local and remote sites receive Rx_STR without any time gap call flow. Local and Remote Sites Receive Rx_STR Without Any Time Gap Call Flow Local and Remote Sites Receive Rx"},{"title":"Local and Remote Sites Receive N5 Delete Request Without Any Time Gap Call Flow","url":"r_local_and_remote_sites_receive_n5_delete_request_without_any_time_gap_call_flow.html","description":"This section describes the local and remote sites receive N5 Delete Request without any time gap call flow. Local and Remote Sites Receive N5 Delete Request Without Any Time Gap Call Flow Local and R"}]}]},{"title":"Configuring Cisco Common Data Layer","url":"r_config-cdl-through-pcf-ops.html","description":"This section describes how to configure the CDL endpoints. Configuring the CDL using PCF Ops Center involves the following steps: Configuring the CDL Session Database and Defining the Base Configurat","children":[{"title":"Configuring the CDL Session Database and Defining the Base Configuration","url":"r_config-cdl-session-db.html","description":"This section describes how to configure the CDL session database and define the base configuration in PCF. To configure the CDL session database and define the base configuration in CDL, use the foll"},{"title":"Configuring Kafka in CDL","url":"r_config-kafka.html","description":"This section describes how to configure Kafka in CDL. To configure the Kafka in CDL, use the following configuration: Open the Policy Ops Center console and navigate to the datastore CLI. To configur"},{"title":"Configuring Zookeeper in CDL","url":"r_confg-zookeeper.html","description":"This section describes how to configure Zookeeper in CDL. To configure Zookeeper in CDL, use the following configuration: Open the Policy Ops Center console and navigate to the datastore CLI. To conf"}]},{"title":"Configuring the CDL Engine","url":"r_configuring_the_cdl_engine_parameters.html","description":"To configure this feature use the following configuration: config cdl engine properties enable.conflict.merge [ true | false ] GeoSiteName geosite_name conflict.tps conflict_number conflict.resolve.a"},{"title":"Configuring the CDL Endpoints","url":"r_config-cdl-ep.html","description":"This section describes how to configure the CDL endpoints. Configuring the CDL endpoints involves the following steps: Configuring the External Services Associating the Datastore with the CDL Endpoin","children":[{"title":"Configuring the External Services","url":"r_confg-external-service.html","description":"This section describes how to configure the external services in PCF. CDL gets deployed in the GR environment as part of the SMI deployment procedure. By default, the CDL endpoints are available in t"},{"title":"Associating the Datastore with the CDL Endpoint Service","url":"r_associate-datastore.html","description":"This section describes how to configure the external service for each CDL endpoint service that you plan to use. To configure the external service for each CDL endpoint service, use the following con"}]},{"title":"Starting the Remote Index Synchronization","url":"r_configuring_remote_index_sync.html","description":"This section describes how to start the remote index synchronization. Before configuring the remote index sync, ensure that the geo-remote-site parameter for CDL is configured. To start the remote in","children":[{"title":"Viewing the Remote Index Synchronization Status","url":"r_vewing_remote_index_sync.html","description":"This section describes how to view the status of the index synchronization procedure that you have executed. To view the status of the index sync procedure, use the following configuration: cdl actio"}]},{"title":"Configuring the Stale Session Cleanup Using the Unique Key","url":"r_configuring_the_overwrite_purging.html","description":"The section describes how to configure stale session cleanup using the unique key. To configure the stale session cleanup, use the following configuration: config cdl datastore session datastore_name","children":[{"title":"Sample Configuration","url":"r_sample_configuration.html","description":"The following is a sample configuration: cdl datastore session features index-overwrite-detection unique-keys-prefix SupiDnnKey action delete-record exit features index-overwrite-detection unique-key"}]},{"title":"Stale Sessions Cleanup Troubleshooting Information","url":"r_troubleshooting_information.html","description":"To view the status of the clean up status of the stale sessions, review the warning logs in index pods. You can review the logs to debug the stale sessions issues by setting the index.overwrite.sessi"},{"title":"OAM Support","url":"r_purging_oam.html","description":"This section describes operations, administration, and maintenance support for this feature.","children":[{"title":"Statistics","url":"r_statistics_purging.html","description":"Following are the list of counters that are generated for scenarios where the stale session cleanup process is initiated. The following metrics track the counter information: overwritten_index_record"}]}]},{"title":"Configuring HTTP or HTTPS and SSL for SBA Interface","url":"g_http-tls-sba.html","children":[{"title":"Feature Summary","url":"r_feature-summary.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history.html","description":"Revision History Revision Details Release First introduced. 2020.03.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9.html","description":"In the SBA framework, the PCF exchanges data across the interconnected network functions and data repositories. The communication within this framework is established over a secure layer comprising o"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10.html","description":"This section describes how this feature works. The implementation of HTTP or HTTPS with TLS in PCF requires you to configure the HTTP and HTTPs secure port for each interface. To enable a TLS handsha"},{"title":"Configuring Support for HTTP or HTTPS and TLS","url":"r_configuring-tls.html","description":"This section describes how to configure the HTTP or HTTPS and TLS from the PCF Ops Center. Configuration of HTTP or HTTPS and TLS involves: Configuring Server and Client Certificates","children":[{"title":"Configuring Server and Client Certificates","url":"r_conf-server-client-certs.html","description":"This section describes how to configure the certificates for the server and client. To configure the certificates for the server and client, use the following configuration in the PCF Ops Center: con","children":[{"title":"Obtaining the Private key","url":"r_obtaining-private-key.html","description":"This section describes how to obtain the private key from a certificate. To obtain the private key, perform the following procedure: Convert the certificate from PEM to PKCS12 format using the follow"},{"title":"Verifying the Certificate Status","url":"r_verifying-certificates.html","description":"This section describes how to verify the configuration status of the certificates. The following configuration is a sample output of the show rest-endpoint certificate-status command: CERTIFICATE NAM"}]}]},{"title":"HTTP and SSL for SBA Interface OA&M Support","url":"r_supporta-oam-tls.html","description":"This section describes the operations, administration, and maintenance information for this feature.","children":[{"title":"Statistics","url":"r_stats.html","description":"This section provides gauge that is generated for computing the HTTP TLS certificate validity information. http_tls_cert_validity: This gauge fetches the duration (in milliseconds) after which the ce"}]}]},{"title":"Content Filtering","url":"g_content-filtering.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4.html","description":"Summary Data Applicable Products or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6.html","description":"Revision HistoryRevision DetailsReleaseFirst introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"PCF offers fine-grained control over the content that SMF processes. The filtering policy provides methodical control over the content during the PCF and SMF interaction by identifying and limiting t"},{"title":"Configuration Support for Content Filtering","url":"r_steps-config-filtering.html","description":"This section describes how to configure the filtering policy using the following service: CiscoContentFilteringPolicy","children":[{"title":"CiscoContentFilteringPolicy","url":"r_ciscocontentfilteringpolicy.html","description":"This section describes the parameters for the CiscoContentFilteringPolicy configuration. Before configuring the CiscoContentFilteringPolicy service, ensure that you have created the use case template"}]}]},{"title":"Diameter Endpoint","url":"g_diameter-ep.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34.html","description":"Summary DataApplicable Products or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Always-onRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"Revision HistoryRevision DetailsRelease Enhancement introduced. PCF supports dual stack (IPv4 and IPv6) connectivity on its external interfaces/endpoints. 2022.01.0 Enhancement introduced. PCF suppor"}]},{"title":"Feature Description","url":"r_feature-description.html","description":"You can enable the Diameter endpoint to dynamically create pods on a designated node or host. This feature might be a requirement when you want to ensure that the nodes are meeting specific security "},{"title":"Configuring the Node for the Diameter Endpoint Pod","url":"r_config-diam-pod.html","description":"This section describes how to specify the node or host where the Diameter endpoint must spawn the pod. Configuration changes to the diameter endpoint cause the endpoint to restart automatically. Cisc"}]},{"title":"Dummy N7 Notify Request","url":"g_n7-notify-rat.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"Summary DataApplicable Products or Functional AreaPCFApplicable Platform(s)SMIFeature Default Setting Disabled \u2013 Configuration required to enable Related DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"Revision HistoryRevision DetailsRelease Enhancement introduced. PCF supports N5 Interface. 2022.02.0 First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8.html","description":"PCF is equipped to retrieve the event triggers from the SMF by sending the N7 Notify Request. Certain features such as Rx or N5 bearer authorization, QoS derivation, and rule evaluation depends on sp"},{"title":"How it Works","url":"r_how-it-works_2_3.html","description":"This section describes how this feature works. In the Dummy N7 Notify Request feature, the PCF interactions happen in the following sequence: The SMF sends an N7 Create Request to PCF. The PCF respon"},{"title":"Configuration Support for the Dummy N7 Notify Request","url":"r_creating-dummy-notify-request.html","description":"This section describes how to configure the dummy Notify Request through which PCF retrieves the triggers for the AAR messages with Media-Type. The configuration of the proxy N7 Notify Request involv","children":[{"title":"Creating the STG for the N7 Notify Request","url":"r_creating-stg.html","description":"This section describes how to create the STG N7 Notify request which is referred by the CRD. Log in to Policy Builder. Click the Reference Data tab, and from the left pane click Custom Reference Data"},{"title":"Configuring the Dummy N7 Notify Parameters","url":"r_config-crd.html","description":"This section describes how to configure the dummy N7 Notify event trigger parameters through the PCF Central. Log in to PCF Central. Select the Custom Reference Data. In the Custom Reference Data Tab"},{"title":"Configuring the Event Triggers","url":"r_configu-crd-table.html","description":"This section describes how to subscribe to the N7 event triggers through the dummy N7 Notify request. Log in to Policy Builder. Click the Reference Data tab. In the left pane, choose Diameter Default"}]}]},{"title":"Dynamic ARP Functionality for PC and PV","url":"g_dynamic_arp.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Always-on Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history_2_3_4.html","description":"Revision History Revision Details Release Enhancement introduced. PCF supports N5 Interface. 2022.02.0 First introduced. 2021.04.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3.html","description":"PCF supports the dynamic ARP feature to send the same Priority-Level value in the dedicated bearers as that of the default bearer. The dynamic ARP functionality is extended to Preemption Capability ("},{"title":"How it Works","url":"r_how-it-works.html","description":"This section describes how this feature works. For a WPS user, the default bearer ARP value includes a Priority-Level value with PC set to enabled and PV set to disabled. In case, when a non-WPS user"},{"title":"Configuring CRD Table and RxSTGConfiguration AVP","url":"r_configuring-crd-table-and-rxstgconfiguration-avp.html","description":"Configuring CRD table and RxSTGConfiguration AVP involves the following steps:","children":[{"title":"Adding Rx_Dynamic_Capability and Rx_Dynamic_Vulnerability","url":"r_adding-rx-dynamic-capability-and-rx-dynamic-vulnerability.html","description":"To add Rx_Dynamic_Capability and Rx_Dynamic_Vulnerability columns to the Rx_QoS CRD table, use the following steps: Log in to Policy Builder. Click the Reference Data tab, and from the left pane clic"},{"title":"Configuring RxSTGConfiguration AVP","url":"r_configuring-rxstgconfiguration-avp.html","description":"This section describes the parameters that can be configured for RxSTGConfiguration. The RxSTGConfiguration service configuration supports the following output AVPs that allow the dynamic value expre"}]},{"title":"Configuring CRD Table and N5STGConfiguration AVP","url":"r_configuring-crd-table-and-n5stgconfiguration-avp.html","description":"Configuring CRD table and N5STGConfiguration AVP involves the following steps:","children":[{"title":"Adding N5_Dynamic_Capability and N5_Dynamic_Vulnerability","url":"r_adding-n5_dynamic_capability-and-n5_dynamic_vulnerability.html","description":"To add N5_Dynamic_Capability and N5_Dynamic_Vulnerability columns to the N5_QoS CRD table, use the following steps: Log in to Policy Builder. Click the Reference Data tab, and from the left pane clic"},{"title":"Configuring N5STGConfiguration AVP","url":"r_configuring-n5stgconfiguration-avp.html","description":"This section describes the parameters that can be configured for N5STGConfiguration. The N5STGConfiguration service configuration supports the following output AVPs that allow the dynamic value expre"}]},{"title":"OAM Support","url":"r_oam_support_2.html","description":"This section describes operations, administration, and maintenance support for this feature","children":[{"title":"Bulk Statistics Support","url":"r_bulk-statistics-support.html","description":"The following statistics are supported for the dynamic ARP functionality for PC and PV feature. The following values apply to all the statistics: Unit - Int64 Type - Counter Nodes - Service qos_rule_"},{"title":"Modified Stats","url":"r_modified_statistics.html","description":"Modified Stats Old Stats New Stats Description qos_rule_total qos_rule_pl_total Indicates the number of N5/N7/Rx rule installs (per qci/Media Type) provisioned with dynamic QoS PL. The following labe"}]}]},{"title":"Dynamic ARP Functionality for PL","url":"g_dynamic_arp_functionality_for_priority_level.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Always-on Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10.html","description":"Revision History Revision Details Release First introduced. 2022.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8.html","description":"PCF supports Dynamic QoS ARP feature to calculate ARP (Priority Level) based on dynamic expression."},{"title":"How it Works","url":"r_how_it_works_2_3.html","description":"This section describes how this feature works. When PCF evaluates Rx_QoS_Table or N5_QoS_Table to derive QoS for dedicated bearer PCC rules, if a dynamic value expression is configured for ARP Priori"},{"title":"Feature Configuration","url":"r_feature_configuration.html","description":"To configure this feature, use N5STGConfiguration for Dynamic QoS ARP","children":[{"title":"Configuring N5STGConfiguration for Dynamic QoS ARP","url":"r_configuring_n5stgconfiguration_for_dynamic_qos_arp.html","description":"This section describes the parameters that can be configured for N5STGConfiguration. The N5STGConfiguration service configuration supports the following output AVPs that allow the dynamic value expre"}]}]},{"title":"Dynamic Rules and Table-Driven Charging Rules","url":"g_dynamic-rules-tabledriven-charging.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6.html","description":"Summary DataApplicable Product(s) or Functional AreaPCFApplicable Platform(s)SMIFeature Default Setting Enabled \u2013 Configuration required to disable Related DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"Revision History Revision Details Release First introduced. Pre 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"PCF supports the provisioning of the following dynamic and table-driven charging rules. Table-driven dynamic PCC rules in PCF N7 session retrievers: SUPI GPSI DNN PLMN ID N7 Access Type N7 Cell Globa","children":[{"title":"Standards Compliance","url":"r_standards-compliance.html","description":"This feature complies with the following standards specifications: 3GPP TS 29.512 V15.1.0 (2018-09) \u0022Session Management Policy Control Service\u0022 3GPP TS 29.571 V15.1.0 (2018-09) \u0022Common Data Types for"},{"title":"Restrictions","url":"r_restrictions.html","description":"The values configured for the maxbrUl, maxbrDl, gbrUl, and gbrDL attributes under QosData and TableDrivenQosDecision service configuration objects as well as any other attribute configured in Policy "}]},{"title":"Configuration Support for Dynamic and Table-Driven Charging Rules","url":"r_feature-configuration.html","description":"This section describes how to configure the dynamic and table-driven charging rules using the following services: TableDrivenQosDecision TableDrivenDynamicPccRule","children":[{"title":"TableDrivenQosDecision","url":"r_tabledrivenqosdecision-service-configuration-object.html","description":"The TableDrivenQosDecision service configuration object provides a way for the different refQosData values that are encountered while adding the PCC rules to be expanded to actual QosData objects. Th"},{"title":"TableDrivenDynamicPccRule","url":"r_tabledrivendynamicpccrule-service-configuration-object.html","description":"This section describes the parameters for the TableDrivenDynamicPccRule configuration. TableDrivenDynamicPccRule service configuration object provides a mapping between the PCC rule attributes and th"}]}]},{"title":"Flexible QoS Actions","url":"g_pcf-flexible-qos-actions.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4.html","children":[{"title":"Summary Data","url":"r_summarydata.html","description":"Summary DataApplicable Products or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration required to disableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Revision History Revision Details Release First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"PCF supports the Flexible QoS Actions feature on the N7 interface. During policy management on the N7 interface, PCF sends session rules that are based on the configured QoS to the SMF. The following"},{"title":"Configuring QoS Actions on N7 Interface","url":"r_configuring-qos-actions-on-n7-pcf-smf-interface.html","description":"This section describes how to configure the QoS Actions on the N7 interface using the following service. OverrideSessionRule","children":[{"title":"OverrideSessionRule","url":"r_overrideqos.html","description":"This section describes the parameters for the OverrideSessionRule configurations. The OverrideSessionRule service configuration is used to override the N7 default bearer QoS APN AMBR UL/DL values. PC"}]}]},{"title":"Handling the Network Provided Location Information Requests","url":"g_handling_npli.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_revision.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5.html","description":"Summary Data Applicable Products or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Always-on Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history_2_3_4_5.html","description":"Revision History Revision Details Release Enhancement introduced. PCF supports N5 Interface. 2022.02.0 First introduced. 2020.05.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7.html","description":"The Network Provided Location Information (NPLI) service is responsible for retrieving the access network information in the IMS network architecture. Depending on the service operator\u0027s policy confi"},{"title":"How it Works","url":"r_how_it_works_2_3_4_5_6.html","description":"This section describes how this feature works. The AF initiates a request toward the PCF to provide the network information. For AF supporting Rx interface, the request is sent over Rx through the Re","children":[{"title":"Considerations","url":"r_consideration.html","description":"This section defines the considerations that apply for successful handling of the NPLI requests: For Rx Interface, navigate to Policy Builder > Diameter Clients > Rx Client, set the STA Hold Time Ms "},{"title":"Call Flows","url":"r_call_flows.html","description":"This section describes the key call flows for this feature.","children":[{"title":"NPLI in Rx RAR Call Flow","url":"r_call_flow_npli_rx_rar.html","description":"This section describes the NPLI in Rx RAR call flow. NPLI in Rx RAR Call Flow NPLI in Rx RAR Call Flow Description Step Description 1 The SMF sends a SMPolicyControl_Ceate request to the PCF. 2 The P"},{"title":"NPLI in Rx STA Call Flow","url":"r_call_flow_npli_rx_sta.html","description":"This section describes the NPLI in Rx STA call flow. NPLI in Rx STA Call Flow NPLI in Rx STA Call Flow Description Step Description 1 The SMF sends a SMPolicyControl_Ceate request to the PCF. 2 The P"},{"title":"Required Access Information in STR Call Flow","url":"r_call_flow_required_access_str.html","description":"This section describes the Required Access Information in STR call flow. Required Access Information in STR Call Flow Required Access Information in STR Call Flow Description Step Description 1 The S"},{"title":"NPLI in N5 Notify Call Flow","url":"r_npli_in_n5_notify_call_flow.html","description":"This section describes the NPLI in N5 Notify call flow. NPLI in N5 Notify Call Flow NPLI in N5 Notify Call Flow Description Step Description 1 The SMF sends a SMPolicyControl_Ceate request to the PCF"},{"title":"NPLI in N5 Delete Response Call Flow","url":"r_npli_in_n5_delete_response_call_flow.html","description":"This section describes the NPLI in N5 Delete Response call flow. NPLI in N5 Delete Response Call Flow NPLI in N5 Delete Response Call Flow Description Step Description 1 The SMF sends a SMPolicyContr"},{"title":"Required Access Information in N5 Delete Request Call Flow","url":"r_required_access_information_in_n5_delete_request_call_flow.html","description":"This section describes the Required Access Information in N5 Delete Request call flow. Required Access Information in N5 Delete Request Call Flow Required Access Information in N5 Delete Request Call"}]}]},{"title":"Enabling the NetLoc Feature","url":"r_enabling_netloc_nlpi.html","description":"This section describes how to enable the NetLoc feature that supports the Access Network Information Reporting in 5G. To enable the NetLoc feature, in the initial N7 request set the \u0022suppFeat\u0022 value\u0027"},{"title":"Support for NetLocAccessSupport","url":"r_netlocaccesssupport.html","description":"The PCF supports the NetLocAccessSupport reporting on the N5 and Rx interface. The following describes about the noNetLocSupp: Requesting SMF for Report of the requested Access Network Information Re"}]},{"title":"Heartbeat","url":"g_nf-heartbeat-with-nrf.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10.html","description":"Revision History Revision Details Release Enhancement introduced. PCF is configured to send the cluster load information in the heartbeat. 2020.05.0 First introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31.html","description":"PCF registers with NRF and sends a heartbeat message to the same NRF to infer its status as active or inactive. Complying with 3GPP TS 29.510, PCF performs the following tasks when sending a heartbea"},{"title":"How it Works","url":"r_heartbeat_how_it_works.html","description":"This section describes how this feature works. The PCF registers with the NRF to create a passage for interacting with the other NFs to perform operations such as discovery and selection. The overvie","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5.html","description":"This feature complies with the following standards specifications: 3GPP TS 29.510 (2018-12) \u0022Network Function Repository Services;\u0022"}]},{"title":"Configuring the Cluster Load Attribute","url":"r_disabling_heartbeat.html","description":"This section describes how to enable PCF to send the cluster load information in the heartbeat request. To configure the ability that allows PCF to send the cluster load parameter in the heartbeat re"}]},{"title":"LDAP and Sh Interface","url":"g_pcf-support-ldap-sh.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Summary Data Applicable Product(s) or FunctionalArea PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Revision Details Release Enhancement introduced. PCF supports IPv6 connectivity on LDAP endpoint. 2021.04.0 First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"PCF supports the LDAP and Sh versions of the N36 reference point to and from the simulated UDR to access subscriber profile information and to write dynamic session data as required for session proce","children":[{"title":"Call Flows","url":"r_sh-interface.html","description":"This section describes the key call flow for this feature.","children":[{"title":"Sh Interface Call Flow","url":"r_sh-interface-call-flow.html","description":"This section describes the Sh Interface call flow. Sh Interface Call Flow Sh Interface Call Flow Description Step Description 1 The User Equipment (UE) sends a PDU Session Establishment request to th"}]}]},{"title":"Configuring PCF to use LDAP","url":"r_config-ldap-interface.html","description":"This section describes how to configure PCF to leverage the LDAP interface. The configuration support for LDAP involves the following steps: Setting Up Additional Profile Data Associating PCF with LD","children":[{"title":"Setting Up Additional Profile Data","url":"r_setting-ldap-profile.html","description":"This section describes how to set up the profile data. PCF establishes a connection with an LDAP server to access the subscriber profile data that resides on an external database. Upon receiving the "},{"title":"Associating PCF with LDAP","url":"r_associate-ldap.html","description":"This section describes how to associate PCF with LDAP. When you configure PCF environment to interact with a defined LDAP, PCF must connect to the LDAP server using a trusted authentication method. T"}]}]},{"title":"Managing Custom Reference Data","url":"g_managing_crd.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7.html","description":"Summary Data Applicable Products or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Always-on Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Revision History Revision Details Release First introduced. 2020.05.0"}]},{"title":"Feature Description","url":"r_overview_crd.html","description":"The Custom Reference Data (CRD) is the reference data specific to a service provider, such as their networks or cell sites\u0027 names and characteristics. This data is required to operate the policy engi"},{"title":"Configuration Support for Importing CRD","url":"r_import_crd.html","description":"This section describes the procedure to import CRD when the CRD schema is modified. Importing of CRD involves the following steps: Backing Up the Existing SVN Repository Backing Up the Existing CRD R","children":[{"title":"Backing Up the Existing SVN Repository","url":"r_backing_svn.html","description":"This section describes how to import the SVN repository when the CRD schema is modified. To take a backup of the existing SVN repository and store it on another environment, use the following configu"},{"title":"Backing Up the Existing CRD","url":"r_backing_crd.html","description":"This section describes how to import an existing CRD when the CRD schema is modified. To take a backup of the configured CRD and store it to another environment, use the following configuration: Log "},{"title":"Removing the Existing CRD from MongoDB","url":"r_removing_crd.html","description":"This section describes how to remove the existing CRD tables that have schema change from MongoDB. To remove a configured CRD schema change, use the following configuration: Log in to the admin-db po"},{"title":"Importing and Publishing the New CRD Schema","url":"r_importing_publishin_crd.html","description":"This section describes how to import and publish the new CRD schema. To import and publish the CRD schema, use the following configuration: Log in to the PCF Central GUI. On the Cisco Policy Suite Ce"},{"title":"Importing the New CRD Table","url":"r_importing_new_crd.html","description":"This section describes how to import the CRD table. To import new CRD tables, use the following configuration: Before importing the CRD table, ensure that the CRD data archive is saved as dot (.) crd"}]}]},{"title":"Message Prioritization and Overload Handling","url":"g_handling_of_message_prioritization.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8.html","description":"Revision History Revision Details Release First introduced. 2022.01.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5.html","description":"PCF supports the following message prioritizations: Message priority handling framework\u2014Provides configuration to handle the incoming message rules with priority. Diameter configuration PCF configura"},{"title":"How it Works","url":"r_how_it_works-.html","description":"This section describes how this feature works. Message Prioritization Handling Framework Diameter Configuration\u2014Use Message Handling Rules parameters (Diameter Client, Protocol, Command Code, Request"},{"title":"Feature Configuration","url":"r_feature_configuration-.html","description":"To configure this feature, use the following configurations: Configuring Inbound Message Overload Handling Configuring SBI-Message-Priority Prioritization","children":[{"title":"Configuring Inbound Message Overload Handling","url":"r_configuring_inbound_message_overload_handling.html","description":"This section describes how to configure the Inbound Message Overload Handling for the diameter and PCF configurations.","children":[{"title":"Diameter Configuration","url":"r_diameter_configuration.html","description":"Log in into Policy Builder. Select Reference Data tab. From the left pane, select Systems. Select and expand your system name. Select Diameter Configuration. In the right pane, to add the parameters "},{"title":"PCF Configuration","url":"r_pcf_configuration.html","description":"Log in into Policy Builder. Select Reference Data tab. From the left pane, select Systems. Select and expand your system name. Select PCF Configuration. In the right pane, to add the parameters of th"}]},{"title":"Configuring SBI-Message-Priority Prioritization","url":"r_configuring_sbi_message_priority_prioritization.html","description":"This section describes how to configure the SBI-Message-Priority Prioritization. Log in into Policy Builder. Select Reference Data tab. From the left pane, select Systems. Select and expand your syst"}]},{"title":"OAM Support","url":"r_oam_support-.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Bulk Statistics Support","url":"r_bulk_statistics_support_2.html","description":"The following statistics are supported for the message prioritization and overload handling feature. The following values apply to all the statistics: Unit - Int64 Type - Counter Nodes - Service The "}]}]},{"title":"Multiple Virtual IP Address","url":"g_vip-multiple.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision.html","description":"Revision History Revision Details Release Enhancement introduced. PCF supports N5 Interface. 2022.02.0 Enhancement introduced. PCF supports dual stack (IPv4 and IPv6) connectivity on N7, N28 and NNRF"}]},{"title":"Feature Description","url":"r_feature-description-topic.html","description":"You can now enable the IPv4 communication between PCF and the other network functions such as AF, SMF, NRF, CHF, and UDR through multiple virtual IP addresses (VIP). With a provision to configure dis","children":[{"title":"Architecture","url":"r_architecture-description.html","description":"This section describes how the network function components interact when the multiple VIP model is implemented. The multiple VIP architecture focuses on high availability and load-balancing aspect of"}]},{"title":"How it Works","url":"r_how-works.html","description":"This section describes how this feature works. After the admin associates an IP address to a network function such as PCF, a new endpoint is linked to the network function through the rest-ep service"},{"title":"Configuration Support for Multiple Virtual IP Address","url":"r_config-multiple-vip.html","description":"The configuration of the multiple virtual IP address involves the following: Configuring the REST Endpoints Verifying the REST Endpoints Configuration","children":[{"title":"Configuring the REST Endpoints","url":"r_configuring-external-ips.html","description":"This section describes how to configure the IP address, port numbers, and other attributes for a REST endpoint. Configuration changes to the REST endpoint cause the endpoint to restart automatically."},{"title":"Verifying the REST Endpoints Configuration","url":"r_verifying-configuration-of-external-ip.html","description":"This section describes how to verify the REST Endpoints configuration. After an interface IP address is configured, you can observe a new service with the name as <interface-name>-rest-ep. The servic"}]}]},{"title":"N5 Authorization","url":"g_n5_authorization.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history_2.html","description":"Revision History Revision Details Release First introduced. 2022.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6.html","description":"PCF provides a method for the service providers to regulate the services available to individual subscribers. You can configure the bearer-level regulation through the customization and configuration","children":[{"title":"Architecture","url":"r_architecture_2_3.html","description":"This section depicts how the network function components interact during an N5 Authorization. The SMF and PCF have a bilateral communication over the N7 interface. The AF sends an N5 Create/Update re"},{"title":"Components","url":"r_components_2_3.html","description":"This section describes the N5AuthorizationSTGConfiguration component in the N5 Authorization process. The N5AuthorizationSTGConfiguration service configuration is used to evaluate the N5 Authorizatio"}]},{"title":"How it Works","url":"r_how_it_works_2.html","description":"This section describes how this feature works. At a high-level, PCF supports the N5-based authorization of bearers. The N5 authorization requires a Search Table Groups (STG), which enables logical gr","children":[{"title":"Call Flows","url":"r_call_flows_2_3.html","description":"This section describes the key call flows for this feature.","children":[{"title":"All Bearers Are Rejected Call Flow","url":"r_all_bearers_are_rejected_call_flow.html","description":"This section describes the All Bearers Are Rejected call flow. All Bearers Are Rejected Call Flow All Bearers Are Rejected Call Flow Description Step Description 1 The SMF sends a N7 Create request t"},{"title":"Few Bearers Are Rejected Call Flow","url":"r_few_bearers_are_rejected_call_flow.html","description":"This section describes the Few Bearers are Rejected call flow. Few Bearers Are Rejected Call Flow Few Bearers Are Rejected Call Flow Description Step Description 1 The SMF sends a N7 Create request t"},{"title":"Existing Bearers Are Rejected Call Flow","url":"r_existing_bearers_are_rejected_call_flow.html","description":"This section describes the Existing Bearers Are Rejected call flow. Existing Bearers Are Rejected Call Flow All Bearers Are Rejected Call Flow Description Step Description 1 The SMF sends a N7 Create"}]},{"title":"Considerations","url":"r_considerations_2.html","description":"The following considerations apply when you configure the N5 Authorization: The STG names that are configured in the N5AuthorizationSTGConfiguration should be unique. The IE names for the output colu"},{"title":"Limitations","url":"r_limitations_2.html","description":"This feature has the following limitations in this release: When N5 Authorization fails, PCF sends an N5 Notify request only if the AF has subscribed to AF-Event=FAILED_RESOURCES_ALLOCATION in N5 Cre"}]},{"title":"Feature Configuration","url":"r_configuration_support_for_n5_authorization.html","description":"This section describes how to configure N5 Authorization. The configuration of the N5 Authorization capability in PCF involves the following steps: Creating the STG Tables Adding the N5AuthorizationS","children":[{"title":"Creating the STG Tables","url":"r_creating_the_stg_tables.html","description":"This section describes how to create the STG column in Policy Builder. To configure the STG column, use the following configuration: Log in to Policy Builder. Click the Reference Data tab, and from t"},{"title":"Adding the N5AuthorizationSTGConfiguration Service","url":"r_adding_the_n5authorizationstgconfiguration_service.html","description":"This section describes how to add the N5AuthorizationSTGConfiguration service. To configure the N5AuthorizationSTGConfiguration service, use the following configuration: Log in to Policy Builder. Cho"},{"title":"Configuring the Service Chaining","url":"r_configuring_the_service_chaining.html","description":"This section describes how to configure the service chaining for N5 Authorization. Before configuring the service chaining, ensure that you have created the use case templates and added the N5Authori"},{"title":"Rejecting the N5 Create Request with Missing MediaType IE","url":"r_rejecting_the_n5_create_request_with_missing_mediatype_ie.html","description":"This section describes how to enable PCF to reject the N5 Create Request with Missing MediaType IE. To configure PCF to reject the N5 Create Request, use the following configuration: Log in to Policy"},{"title":"Setting Up the Delayed Message Schedule","url":"r_setting_up_the_delayed_message_schedule.html","description":"This section describes how to set up the duration after which PCF sends the delayed message to the AF. To configure the delayed message schedule through the Policy Builder, use the following configur"},{"title":"N5 Profile","url":"r_n5_profile.html","description":"This section describes the parameters, which you can configure for the N5 Profile. Before setting the service parameters, ensure that you create a use case template and add a service for this configu"}]}]},{"title":"Network Repository Function Subscription to Notifications","url":"g_nrf-subscription-notifications-3gpp-december-18.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","description":"Revision History Revision Details Release First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6.html","description":"PCF supports the following functions for the Network Repository Function (NRF) Subscription to Notifications feature: The NRF supports the 3GPP December 2018 specification for interface discovery, re","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5_6.html","description":"This feature complies with the following standards specifications: 3GPP TS 29.510 V15.2.0 (2018-12) \u0022Network Function Repository Services\u0022"}]},{"title":"Configuration Support for the NRF Subscription to Notifications","url":"r_configuring-subscription.html","description":"The configuration of NRF subscription to notifications involves performing the followings steps: Configuring NRF with Multiple Base URLs Configuring NRF for Registration Configuring NRF for Discovery","children":[{"title":"Configuring NRF with Multiple Base URLs","url":"r_confg-nrf-base.html","description":"This section describes how to configure NRF that has multiple base URLs. To configure NRF with multiple base URLs, use the following configuration: config nf-services nf_services_name repository repo"},{"title":"Configuring NRF for Registration","url":"r_conf-nrfregistration.html","description":"This section describes how to enable NRF for registering the NFs. To configure NRF for registration, use the following configuration: config nf-services nf_services_name registration service-reposito"},{"title":"Configuring NRF for Discovery of Network Function","url":"r_conf-discovery.html","description":"This section describes how to configure NRF to enable discovery of an NF. To configure NRF for discovering an NF, use the following configuration: config nf-services nf_services_name discovery [ nchf"},{"title":"Troubleshooting Information","url":"r_troubleshooting-information_2_3.html","description":"For message routing failures, check the datastore pod health and the logs for any issues. For more information on how to check the pod health and logs, see Troubleshooting Information."}]}]},{"title":"Network Slicing","url":"g_network_slicing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_revison_history.html","children":[{"title":"Summary Data","url":"r_summary_data_2.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7.html","description":"Revision History Revision Details Release Enhancement introduced. PCF to support metrics and statistcs counters based on Slice -ID. 2022.03.0 Enhancement introduced. Configuration updated for N5 inte"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4.html","description":"The network slicing solution allows the service providers to partition the 5G physical network into multiple virtual network slices. PCF implements network virtualization by registering the Single\u2013Ne","children":[{"title":"Architecture","url":"r_architecture_2_3_4_5.html","description":"The REST endpoint performs the slice validation based on the requests from the client using HTTP2. The REST endpoint interacts with the Policy Engine to retrieve the policy status and the slice infor"}]},{"title":"How it Works","url":"r_how_it_works_2_3_4.html","description":"This section describes how this feature works.","children":[{"title":"Call Flows","url":"r_call_flows_2.html","description":"This section describes the key call flows for this feature.","children":[{"title":"Slice Validation and Slice-Specific Policy Generation Call Flow","url":"r_slice_validation_policy_generation_call_flow.html","description":"This section describes the Slice Validation and Slice-Specific Policy Generation call flow. Slice Validation and Slice-Specific Policy Generation Call Flow Slice Validation and Slice-Specific Policy "}]}]},{"title":"Configuring the Network Slicing Feature","url":"r_configuring_network_slicing_feature.html","description":"Configuring this feature involves the following steps:","children":[{"title":"Configuring the Reject Requests Capability","url":"r_enabling_capability_reject_requests.html","description":"This section describes how to enable the capability to reject requests from a slice that PCF does not support. To enable PCF to reject requests, use the following configuration: config advance-tuning"},{"title":"Configuring the Custom Error Codes","url":"r_configure_custom_errors.html","description":"This section describes how to configure the error codes for the requests that PCF rejects. To configure the custom error codes, use the following configuration: config advance-tuning slice-access-con"},{"title":"Configuring the Allowed NSSAIs","url":"r_configure_snnais.html","description":"This section describes how to configure the allowed NSSAIs in the PCF Registration Profile. To configure allowed-NSSAIs, use the following configuration: config service-registration profile allowed-n"}]},{"title":"Network Slicing OA&M Support","url":"r_network_slicing_oam_support.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Statistics","url":"r_statistics_2_3_4.html","description":"This section provides the counter that gets generated for the network slicing scenarios. inbound_request_slice_rejected: Captures the requests initiated for specific slices and the requests rejected "}]}]},{"title":"NRF Interface","url":"g_pcf-support-for-nrf-interface.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","description":"Revision History Revision Details Release Enhancement introduced. Configuration updated for N5 interface service. 2022.01.0 Enhancement introduced. PCF supports dual stack (IPv4 and IPv6) connectivit"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5.html","description":"The NRF provides a fabric for all the NFs to register their profile and the supported services which facilitate in discovering each other. The registration enables the NFs to discover the other NFs b"},{"title":"How it Works","url":"r_how-it-works_2_3_4.html","description":"This section describes how this feature works. At the startup, PCF registers its profile with the NRF endpoint of the highest priority. After the registration is complete, it periodically sends a hea","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2_3.html","description":"This feature complies with the following standards specifications: 3GPP TS 29.510 version 15.0.0 (2018-06) \u0022Network Function Repository Services\u0022 3GPP TS 29.510 version 15.2.0 (2018-12) \u0022Network Func"}]},{"title":"Configuring the PCF Profile","url":"r_conf-nrf-profile.html","description":"This section describes how to configure the PCF profile with NRF. PCF registration involves associating the PCF profile with the NRF and registering the services such as npcf-am-policy-control and np","children":[{"title":"Defining the PCF Registration Status","url":"r_defining-registration-status.html","description":"This section describes how to configure the PCF\u0027s registration status. The registration status of PCF reflects its capability to transact with NRF and other NFs. The PCF instance that is registered w"}]},{"title":"Configuring the NRF Endpoint for Management Services","url":"r_config-mangmnt-services.html","description":"This section describes the configurations that you must perform to enable the NRF\u0027s management services. Configuring the NRF Endpoint Group Configuring the Management Service","children":[{"title":"Configuring the NRF Endpoint Group","url":"r_conf-nrf-ep-management.html","description":"This section describes how to configure the NRF Groups. To configure the nnrf-nfm service for enabling the management service, use the following configuration in the Policy Ops Center console: config"},{"title":"Configuring the Management Service","url":"r_conf-mgmnt.html","description":"This section describes how to enable the management service for the NRF. To configure the NRF Management service, PCF locality, and associating them to the NRF Endpoint, use the following configurati"}]},{"title":"Configuring the NRF Endpoint for Discovery Service","url":"r_configuring-pcf-for-discovery.html","description":"This section describes the configurations that you must perform to enable NRF\u0027s discovery services. Configuring the NRF Endpoint Group Configuring the Discovery Service Configuring the Local NF Endpo","children":[{"title":"Configuring the NRF Endpoint Group","url":"r_conf-nrf-ep-discovery.html","description":"This section describes how to configure the NRF endpoint groups for the discovery of different NFs using the discovery (nnrf-disc) service. To enable discovery of the NRF groups, use the following co"},{"title":"Configuring the Discovery Service","url":"r_nrf-discovery-service.html","description":"This section describes how to enable the discovery service for the NRF.To configure the NRF Discovery and PCF locality and associating them to the NRF Endpoint, use the following configuration in the"},{"title":"Configuring the Local NF Endpoint","url":"r_conf-local.html","description":"This section describes how to configure the local NF endpoint. The PCF becomes aware of the various NFs in the 5G fabric through the NF discovery service that is exposed by the NRF or through the CLI"}]}]},{"title":"N28 Interface","url":"g_n28-reference-subset-capability.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"Summary DataApplicable Product(s) or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Always-onRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"Revision HistoryRevision DetailsReleaseFirst introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"The N28 interface supports the key charging and quota handling scenarios. N28 Interface PCF performs the following capabilities through the N28 interface: Retrieving or subscribing to policy counter "},{"title":"How it Works","url":"r_how-it-works_2.html","description":"This section describes how this feature works. The Nchf_SpendingLimitControl service enables the NF service consumer to retrieve policy counter status information per UE from the CHF by subscribing t","children":[{"title":"Call Flows","url":"r_call-flow_2.html","description":"This section describes the key call flows for this feature.","children":[{"title":"Counter Subscription/Retrieval (N28 Session Creation)","url":"r_counter-subscriptionretrieval-n28-session-creation.html","description":"This section describes the Counter Subscription/Retrieval (N28 Session Creation) call flow. The decision to subscribe to N28 counters is determined based on the presence of the SpendingLimitRequest s"},{"title":"Unsubscribe Counters (N28 Session Termination)","url":"r_unsubscribe-counters-n28-session-termination.html","description":"This section describes the Unsubscribe Counters (N28 Session Termination) call flow. On receiving an N7 terminate request, PCF triggers an N28 Nchf_SpendingLimitControl_Unsubscribe request towards CH"},{"title":"N28 Counter-Based Policy","url":"r_n28-counter-based-policy.html","description":"Similar to existing Diameter Sy implementation, the counters retrieved from CHF are made available for policy decisions via Virtual Services (VS). A Virtual Service (VS) is created per policy counter","children":[{"title":"N28 Virtual Service Details","url":"r_n28-virtual-service-details.html","description":"The N28 Virtual Service details are as follows: VS Name: Name will be of the format: CounterId-CounterStatus VS AVPs: Following AVPs will be added to the VS: Code: counter-id, Value: the counter ID v"}]},{"title":"Notification of Counter Changes from CHF","url":"r_notification-of-counter-changes-from-chf.html","description":"This section describes the Notification of Counter Changes from CHF call flow. In case of changes in the subscribed policy counters, the CHF notifies PCF using the Nchf_SpendingLimitControl_Notify op"}]}]},{"title":"Configuration Support for the N28 Interface","url":"r_service-configuration_2.html","description":"This section describes how to configure support for the N28 interface using the following services. SpendingLimitSubscription RequestPolicyCounters AvpServiceConfiguration","children":[{"title":"SpendingLimitSubscription","url":"r_spendinglimitsubscription-configuration.html","description":"If SpendingLimitSubscription is configured in a policy, then the N28 session creation or subscription is triggered on session create. Only one instance of this configuration is allowed or else any ra"},{"title":"RequestPolicyCounters","url":"r_requestpolicycounters-configuration.html","description":"This section describes the parameters for the RequestPolicyCounters configuration. Use this configuration to add counters in the subscription list while generating the N28 Subscribe request. Multiple"},{"title":"AvpServiceConfiguration","url":"r_avpserviceconfiguration.html","description":"This section describes the parameters for the AvpServiceConfiguration configuration. Before setting the service parameters, ensure that you create a use case template and add a service for this confi"},{"title":"Troubleshooting","url":"r_troubleshooting.html","description":"Perform the following when the message routing fails: Ensure that the SpendingLimitRequest service configuration is available and enabled in the subscribed service list in Policy Builder. If the CHF "}]},{"title":"Configuring NF or Logical Groups","url":"r_cli-changes-to-pcf-ops-center.html","description":"This section describes how to configure the NF locally or logical groups of the NFs. To configure the NF or logical groups of the NFs, use following configuration in the Policy Ops Center console: co"},{"title":"OAM Support","url":"r_operation-management-n28.html","description":"This section describes operations, administration, and maintenance support for this feature.","children":[{"title":"Statistics","url":"r_statistics.html","description":"This section provides the list of statistics and counters that are generated for the charging and quota handling scenarios. The following metrics track the counter information: async_svc_runnable_tot"}]}]},{"title":"Online Charging Enablement over N7 to SMF","url":"g_online-charging.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","children":[{"title":"Summary Data","url":"r_summary-data.html","description":"Summary DataApplicable Product(s) or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingDisabled \u2013 Configuration required to enableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"Revision HistoryRevision DetailsReleaseFirst introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11.html","description":"PCF supports converged online and offline charging. As part of this support, PCF sends the CHF address to the SMF over the N7 interface. This allows the SMF to connect to the specified CHF for conver"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"This section describes how this feature works. The ability to send CHF addresses in \u0022ChargingInformation\u0022 in SM policy create response is added to PCF. In the subsequent SM policy updates, the same a","children":[{"title":"Charging Information","url":"r_charging-information.html","description":"After the SM create control request is received, the PCF reads the charging information service configuration and adds the charging information in the PCF session (if it is not already added). PCF us"},{"title":"Charging Data","url":"r_charging-data.html","description":"After the SM create control request is received, PCF retrieves the PCC rules using \u0022TableDrivenDynamicPccRule\u0022 or \u0022DynamicPccRule\u0022 service configurations. The PCC retrieves \u0022ChgIds\u0022 (it can either be"},{"title":"Call Flows","url":"r_call-flows_2_3.html","description":"This section describes the key call flows for this feature.","children":[{"title":"Online and Offline Charging over N7 to SMF","url":"r_online-and-offline-charging-over-n7-to-smf.html","description":"This section describes the Online and Offline Charging over N7 to SMF call flow. Charging over N7 Call Flow"},{"title":"Creating SM Policy","url":"r_creating-sm-policy.html","description":"This section describes the Creating SM Policy call flow. Create SM Policy Call Flow Create SM Policy Call Flow Description Step Description 1 The SMF sends a N7 Create request to the PCF. 2 The PCF s"},{"title":"Updating SM Policy","url":"r_updating-sm-policy.html","description":"This section describes the Updating SM Policy call flow. Update SM Policy Call Flow Update SM Policy Call Flow Description Step Description 1 The SMF sends an N7 Update request to the PCF. 2 The PCF "},{"title":"Updating Notify SM Policy","url":"r_update-notify-sm-policy.html","description":"This section describes the Updating Notify SM Policy call flow. Update Notify SM Policy Call Flow Update Notify SM Policy Call Flow Description Step Description 1 The CDL sends a next evaluation time"}]}]},{"title":"Configuration Support for Online Charging","url":"r_configuring-online-charging-enablement-over-n7-to-smf.html","description":"The configuration of online charging enablement over N7 to SMF involves the following steps: ChargingInformation TableDrivenChargingDecision","children":[{"title":"ChargingInformation","url":"r_config-online-charging.html","description":"This section describes how to configure the ChargingInformation service. Log in to Policy Builder and navigate to Services tab > Use Case Templates. Under Actions > Create Child, click Use Case Templ"},{"title":"TableDrivenChargingDecision","url":"r_config-tabledriven.html","description":"This section describes how to configure the TableDrivenChargingDecision service. Log in to Policy Builder and navigate to Custom Reference Data Table, and create a search table group for the charging"}]}]},{"title":"PCF Integration with Access and Mobility Function","url":"g_pcf-n7-n15-spec-compliance.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3.html","description":"Summary Data Applicable Product(s) or Functional Area AMF Applicable Platform(s) CN-CEE Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"Revision History Revision Details Release Enhancement introduced. Added information on how to remove the stale sessions. 2020.05.01 Enhancement introduced. Introduced procedure to configure the N15 A"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33.html","description":"PCF integrates with AMF through the Access and Mobility Policy Control Service by transmitting the access control and mobility management-related policies to the AMF. With this integration, PCF, and "},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12.html","description":"This section describes how this feature works. This section provides a summary of how the PCF and AMF work.","children":[{"title":"Call Flows","url":"r_call-flows_2_3_4_5_6.html","description":"This section describes the key call flows for this feature.","children":[{"title":"Create Policy Association","url":"r_call-flows-create-policy-association.html","description":"This section describes the Create Policy Association call flow. Create Policy Association Call Flow Create Policy Association Call Flow Description Step Description 1 The User Equipment (UE) sends a "},{"title":"Update Policy Association","url":"r_call-flows-update-policy-association.html","description":"This section describes the Update Policy Association call flow. Update a Policy Association Call Flow Update a Policy Association Call Flow Description Step Description 1 When AMF is relocated and th"},{"title":"Delete Policy Association","url":"r_call-flows-delete-policy-association.html","description":"This section describes the Delete Policy Association call flow. Delete Policy Association Call Flow Delete Policy Association Call Flow Description Step Description 1 In a situation where a policy as"},{"title":"Terminate Policy Association","url":"r_call-flows-terminate-associations.html","description":"This section describes the Terminate Policy Association call flow. Terminate Policy Association Call Flow Terminate Policy Association Call Flow Description Step Description 1 When PCF terminates the"},{"title":"Update Notification Call Flow","url":"r_call-flows-update-notifications.html","description":"This section describes the Update Notification call flow. Update Notification Call Flow Update Notification Call Flow Description Step Description 1 When PCF must change the policy, it initiates an u"}]},{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5_6_7.html","description":"This feature complies with the following standards specifications: 3GPP TS 29.510 Release 15.2.0 December 2018 \u0022Network Function Repository Services\u0022 3GPP TS 29.571 [11] \u0022Common Data Types for Servic"},{"title":"Limitations","url":"r_limitations_2_3.html","description":"This feature has the following limitations in this release: The PCF does not support PRA_CH trigger and related use cases."}]},{"title":"Configuration Support for the N15 Access and Mobility Policies","url":"r_confg-n15policy-.html","description":"This section describes how to configure the N15 access and mobility policies using the following services: Configure the N15 interface using the information documented at Configuring the REST Endpoin","children":[{"title":"Configuring the N15 Policy Service","url":"r_config-service-area-restriction.html","description":"This section describes the parameters for the N15 policy configuration. The N15 policy service configuration object is used to configure the Service Area Restriction capability. The configuration inv","children":[{"title":"Configuring the N15 Policy Triggers","url":"r_config-n15-trigger.html","description":"This section describes how to configure the N15 policy event triggers. You can configure the event triggers through the Custom Reference Data (CRD) table. The triggers are a group of conditions used "},{"title":"Configuring the N15 Policy Retrievers","url":"r_confg-retrievers.html","description":"This section describes how to configure the retrievers for the N15 policy configuration object. You can add the retrievers through the CRD table or Service Configuration. For information on how to ad"}]}]},{"title":"Configuring the Stale Session Timer","url":"r_confg-timer.html","description":"This section describes how to configure the stale session timer.Stale session builds up due to events such as network and timeout issues. As a result, PCF starts rejecting new sessions due to capacit","children":[{"title":"Removing Stale Sessions","url":"r_removing_sessions_bulk.html","description":"This section describes how to remove stale sessions for an SMF instance. When the SMF issuing the sessions is unavailable, the sessions become stale after a period of inactivity. These sessions expir"}]}]},{"title":"Diameter Peer Load Rebalancing","url":"g_diameter_peer_load_rebalancing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4.html","children":[{"title":"Summary Data","url":"r_summary_data.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6.html","description":"Revision History Revision Details Release First introduced. 2022.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2.html","description":"PCF supports diameter peer load rebalancing."},{"title":"How it Works","url":"r_how_it_works_2_3_4_5.html","description":"This section describes how this feature works. CLI is implemented to show the diameter peer connections and its mapping to the individual pods. CLI is also used to initiate disconnection of a peer id"},{"title":"Feature Configuration","url":"r_feature_configuration_2.html","description":"To configure this feature, use the following configurations: View the diameter peer connections per pod. Diameter peer disconnection.","children":[{"title":"View the Diameter Peer Connections Per Pod","url":"r_configuring_the_diameter_peer_connections_per_pod.html","description":"This section describes how to view the diameter peer connections per pod. To view the diameter peer connections per pod, use the following configuration in the Policy Ops Center console: show diamete"},{"title":"Diameter Peer Disconnection","url":"r_configuring_to_disconnect_the_diameter_peer_connection.html","description":"This section describes how to disconnect the diameter peer connection. To disconnect the diameter peer connection, use the following configuration in the Policy Ops Center console: diameter-peer disc"}]}]},{"title":"Persistent Storage for Policy Configuration","url":"g_persistent-config-files.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"Summary Data Applicable Products or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31.html","description":"Revision History Revision Details Release Enhancement introduced. Added the procedure to assign the storage volume as persistent storage. 2020.03.0 First introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"Persistent storage is a storage solution that retains the data after the power and network resources are disconnected. The PCF provides various storage technologies for managing the configuration dat"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9.html","description":"This section describes how this feature works. The PCF implements the Kubernetes Persistent Volume (PV) framework, which lets the administrators allocate persistent storage for a cluster. Regardless "},{"title":"Configuring Persistent Storage","url":"r_confg-support-local-storage.html","description":"This section describes how to configure persistent storage. Configuring the persistent storage in PCF involves the following steps: Enabling Support for Persistent Storage Assigning Persistent Storag","children":[{"title":"Enabling Support for Persistent Storage","url":"r_enabling-persistent-storage.html","description":"This section describes how to enable persistent volume claim to configure persistent storage. To enable persistent volume claim, use the following configuration: config k8s use-volume-claims [ true |"},{"title":"Assigning Persistent Storage","url":"r_configurring-local-storage.html","description":"This section describes how to assign a storage volume as the persistent storage. Before configuring the persistent storage, ensure that use-volume-claims is enabled. To assign persistent storage, use"}]},{"title":"Configuring the Restore Capability","url":"r_config-restore.html","description":"This section describes how to configure the restore capability. To configure the restore capability that ensures the persistency of policy configuration file, use the following configuration in the P"}]},{"title":"Pods and Services","url":"g_pods-service.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"Summary DataApplicable Product(s) or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Always-onRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8.html","description":"Revision HistoryRevision DetailsReleaseFirst introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2.html","description":"The PCF is built on the Kubernetes cluster strategy, which implies that it has adopted the native concepts of containerization, high availability, scalability, modularity, and ease of deployment. To ","children":[{"title":"Pods","url":"r_pods-overview.html","description":"Pod is a process that runs on your Kubernetes cluster. Pod encapsulates a granular unit known as a container. A pod can contain one or multiple containers. Kubernetes deploys one or multiple pods on "},{"title":"Services","url":"r_service-overview.html","description":"The PCF configuration is composed of several microservices that run on a set of discrete pods. Microservices are deployed during the PCF deployment. PCF uses these services to enable communication be"},{"title":"Ports and Services","url":"r_ports-services.html","description":"PCF uses different ports for communication purposes. The following table describes the default ports and the associated services. Ports and Services Port Service Usage 22 SSH SMI uses this port to co"},{"title":"Limitations","url":"r_limitations_pods.html","description":"This feature has the following limitations in this release: When removing a node using the kubectl drain command, the pods managing the inbound traffic such as pcf-rest-ep, pcf-ldapserver-ep, and dia"}]},{"title":"Configuration Support for Pods and Services","url":"r_conf-support.html","description":"This section describes how to associate pods to node and view the pod-related information using the following steps: Associating Pods to the Nodes Viewing the Pod Details and Status","children":[{"title":"Associating Pods to the Nodes","url":"r_associating-pods.html","description":"This section describes how to associate a pod to the node based on their labels. After you have configured a cluster, you can associate pods to the nodes through labels. This association enables the "},{"title":"Viewing the Pod Details and Status","url":"r_viewing-pods.html","description":"This section describes how to view the pod details. If the service requires additional pods, PCF creates and deploys the pods. You can view the list of pods that are participating in your deployment ","children":[{"title":"States","url":"r_pod-status.html","description":"Understanding the pod\u0027s state lets you determine the current health and prevent the potential risks. The following table describes the pod\u0027s states. Pod States State Description Running The pod is he"}]}]}]},{"title":"Policy Tracing and Execution Analyzer","url":"g_policy-tracing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9.html","children":[{"title":"Summary Data","url":"r_summarydata_2.html","description":"Summary DataApplicable Products or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration required to disableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36.html","description":"Revision History Revision Details Release First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","description":"PCF comes with a set of utilities to actively monitor and trace policy execution. These utilities interact with the core Policy Server and the Mongo database to trigger and store traces for specific ","children":[{"title":"Architecture","url":"r_architecture-topic.html","description":"Cisco PCF comes with a trace pod to actively monitor and trace the policy execution. The utilities in this pod interact with the Policy Engine pods and the Mongo database pods to trigger and store tr"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7.html","description":"This section describes how this feature works."},{"title":"Configuration Support for the Policy Traces","url":"r_administering-traces.html","description":"This section describes how you configure the policy traces. Configuration support of the policy traces involves the following steps: Setting Up the Trace Database Configuring the Trace Microservice P","children":[{"title":"Setting Up the Trace Database","url":"r_setup-the-traces.html","description":"This section describes how to configure the database and port where you want to store the traces. Log in to Policy Builder. From left pane, select your system and click the appropriate cluster. From "},{"title":"Configuring the Trace Microservice Pod","url":"r_configuring-trace-pod.html","description":"PCF hosts the tracing-specific commands on the trace microservice pod that is available under the /usr/local/bin directory. To determine the trace pod, use the following configuration: config kubectl"},{"title":"Executing the Tracing Scripts","url":"r_executing-tracing-scripts.html","description":"Tracing logs assist you in backtracking the steps that you or the system has performed to accomplish a task. This information is useful when you want to conduct forensics of the unexpected outcomes. ","children":[{"title":"Managing the Trace Rules","url":"r_manage-tracerules.html","description":"The trace_ids.sh script fetches the real-time and historical traces. This script resides in /usr/local/bin/ of the Tracing Pod that you have configured. See Configuring the Trace Microservice Pod for"},{"title":"Managing the Trace Results","url":"r_manage-traceresults.html","description":"The trace.sh script that initiates selective trace process resides in /usr/local/bin/ of the Tracing Pod that you have configured. See Configuring the Trace Microservice Pod for procedure to set up a"}]}]}]},{"title":"Policy Control Request Triggers Over N7","url":"g_pcf-events-over-n7.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","description":"Summary DataApplicable Products or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration required to disableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35.html","description":"Revision History Revision Details Release First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7.html","description":"PCF can subscribe to the policy control request triggers on the SMF. This is done by including triggers in the response to smPolicyControl_Create request. PCF can modify the request triggers that are","children":[{"title":"Handling Out of Credit over N7","url":"r_handling-out-of-credit-over-n7.html","description":"The SMF notifies the PCF about the termination action as instructed by the CHF within the \u0022finUnitAct\u0022 attribute and the impacted PCC rules within the \u0022ruleReports\u0022 attribute. As received from the SM"}]},{"title":"Configuring the Policy Control Request Trigger Events over N7","url":"r_config-policycontrol-trigger.html","description":"This section describes how to configure the Policy Control Request Trigger (EventTrigger) service to configure different events that are subscribed in response to smPolicyControl_Create request. Befo"}]},{"title":"Predefined Rules and Rulebase","url":"g_crn-crbn-support.html","children":[{"title":"Feature Summaryand Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"Summary DataApplicable Products or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Always-onRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"Revision HistoryRevision DetailsReleaseFirst introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"During session establishment and modification, the SMF communicates with PCF over the N7 interface. When a user equipment (UE) establishes a packet data unit (PDU) session, the UE requires policies f"},{"title":"Configuration Support for Rule and Rulebase","url":"r_config-crn-and-crbn.html","description":"This section describes how to configure a PCC rule ID for Rule and Rulebase rules. Log in to the Policy Builder application. In the Service Configurations pane, click DynamicPccRule. The dynamic PCC "}]},{"title":"Rx Authorization","url":"g_rx-authorization.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4.html","description":"Revision History Revision Details Release First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"PCF provides a method for the service providers to regulate the services available to individual subscribers. You can configure the bearer-level regulation through the customization and configuration","children":[{"title":"Architecture","url":"r_architecture_2.html","description":"This section depicts how the network function components interact during an Rx Authorization. The SMF and PCF have a bilateral communication over the N7 interface. The AF sends an AAR request to PCF."},{"title":"Components","url":"r_components_2_3_4_5_6.html","description":"This section describes the RxAuthorizationSTGConfiguration component in the Rx Authorization process. The RxAuthorizationSTGConfiguration service configuration is used to evaluate the Rx Authorizatio"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"This section describes how this feature works. At a high-level, PCF supports the Rx-based authorization of bearers. The Rx authorization requires a Search Table Groups (STG), which enables logical gr","children":[{"title":"Call Flows","url":"r_call-flows_2.html","description":"This section describes the key call flows for this feature.","children":[{"title":"All Bearers Are Rejected Call Flow","url":"r_all-bearers-are-rejected-call-flow.html","description":"This section describes the All Bearers Are Rejected call flow. All Bearers Are Rejected Call Flow All Bearers Are Rejected Call Flow Description Step Description 1 The SMF sends a N7 Create request t"},{"title":"Few Bearers Are Rejected Call Flow","url":"r_few-bearers-are-rejected-call-flow.html","description":"This section describes the Few Bearers are Rejected call flow. Few Bearers Are Rejected Call Flow Few Bearers Are Rejected Call Flow Description Step Description 1 The SMF sends a N7 Create request t"},{"title":"Existing Bearers Are Rejected Call Flow","url":"r_existing-bearers-are-rejected-call-flow.html","description":"This section describes the Existing Bearers Are Rejected call flow. Existing Bearers Are Rejected Call Flow All Bearers Are Rejected Call Flow Description Step Description 1 The SMF sends a N7 Create"}]},{"title":"Considerations","url":"r_considerations.html","description":"The following considerations apply when you configure the Rx Authorization: The STG names that are configured in the RxAuthorizationSTGConfiguration should be unique. The AVP names for the output col"},{"title":"Limitations","url":"r_limitations_2_3_4.html","description":"This feature has the following limitations in this release: When an Rx Authorization fails, PCF sends an Rx_RAR request only if the Specific-Action= INDICATION_OF_FAILED_RESOURCES_ALLOCATION is armed"}]},{"title":"Configuration Support for Rx Authorization","url":"r_configuring-rx-authorization.html","description":"This section describes how to configure Rx Authorization. The configuration of the Rx Authorization capability in PCF involves the following steps: Creating the STG Tables Adding the RxAuthorizationS","children":[{"title":"Creating the STG Tables","url":"r_conf-stg.html","description":"This section describes how to create the STG column in Policy Builder. To configure the STG column, use the following configuration: Log in to Policy Builder. Click the Reference Data tab, and from t"},{"title":"Adding the RxAuthorizationSTGConfiguration Service","url":"r_adding-the-rxauthorizationstgconfiguration-service.html","description":"This section describes how to add the RxAuthorizationSTGConfiguration service. To configure the RxAuthorizationSTGConfiguration service, use the following configuration: Log in to Policy Builder. Cho"},{"title":"Configuring the Service Chaining","url":"r_conf-service.html","description":"This section describes how to configure the service chaining for Rx Authorization. Before configuring the service chaining, ensure that you have created the use case templates and added the RxAuthori"},{"title":"Rejecting the AAR with the Missing Media-Type AVP","url":"r_rejecting-aar.html","description":"This section describes how to enable PCF to reject the AAR messages with missing Media-Type AVPs. To configure PCF to reject the AAR messages, use the following configuration: Log in to Policy Builde"},{"title":"Setting Up the Delayed Message Schedule","url":"r_setting-delayed.html","description":"This section describes how to set up the duration after which PCF sends the delayed message to the AF. To configure the delayed message schedule through the Policy Builder, use the following configur"},{"title":"Rx Client","url":"r_rx-client.html","description":"This section describes the parameters, which you can configure for the Rx client. Use the Rx Client, which is a Diameter client object along with the Rx interface. You can add the Rx-specific feature"}]}]},{"title":"Rx Interface for 4G and 5G","url":"g_converged-rx-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33.html","description":"Summary DataApplicable Product(s) or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration required to disableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Revision HistoryRevision DetailsRelease Behavior change introduced. Prior to the 2019.03 release, for the \u201C3GPP Diameter Rx support on 5G PCF\u201D feature, the \u201Cdevice-protocol-id configuration\u201D option u"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"The combined PCF-PCRF deployment architecture provides both PCRF and PCF capabilities. In this deployment, all the incoming Rx Diameter requests are sent to the PCRF or PCF Engine, where session look","children":[{"title":"Relationships","url":"r_relationships_2.html","description":"This feature is an extension of the \u00223GPP Diameter Rx support on 5G PCF\u0022 feature, which was the implementation of N5 interface on PCF."}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"This section describes how this feature works. The incoming Rx requests are tagged to RX_5G_TGPP device protocol, if the respective N7 session is available. Else, the requests are tagged to RX_TGPP d"},{"title":"Routing the Rx Diameter Requests","url":"r_service-config-objects.html","description":"This section describes the service configurations that enable routing of the Rx Diameter requests to PCF or PCRF. RxSTGConfiguration","children":[{"title":"Configuring RxSTGConfiguration AVP","url":"r_rxstgconfiguration.html","description":"This section describes the parameters that can be configured for RxSTGConfiguration. The RxSTGConfiguration service configuration supports the following output AVPs that allow the dynamic value expre"}]}]},{"title":"Site Isolation","url":"g_site-isolation.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34.html","description":"Revision History Revision Details Release Enhancement introduced. Introduced instructions to configure the remote system ID in the secondary site while the primary site is undergoing a site isolation"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Site isolation is segmenting your PCF environment to create silos of cluster or a standalone CDL instance in a Geographic Redundancy (GR) deployment. Each silo is self-sufficient with access to dedic"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11.html","description":"This section describes how this feature works. A site can be unavailable when it is undergoing maintenance level upgrade or experiencing a network issue. During this period, the site cannot manage th","children":[{"title":"Prerequisites","url":"r_prerequisites_2_3.html","description":"This section describes the prerequisites that must be met to configure the site isolation feature. Before bringing down a site, ensure that all the in-progress traffic requests are completed."}]},{"title":"Configuring the Site Isolation Feature","url":"r_confg-site-isolation-feature.html","description":"You can configure the site isolation feature from the PCF Ops Center. Configuring the site isolation feature involves the following steps: Configuring the PCF Registration Status Bringing Down the Pr","children":[{"title":"Configuring the PCF Registration Status","url":"r_confg-pcf-registration.html","description":"This section describes how to configure PCF as undiscoverable. To configure the PCF registration status to undiscoverable, use the following configuration from the PCF Ops Center of the primary site:"},{"title":"Bringing Down the Primary Site","url":"r_bringing-down-primary-site.html","description":"This section describes how to configure to bring the primary site down and the remote site for generating notification when primary site is isolated. If you want to isolate the site without disruptin"},{"title":"Determining the Pod Status","url":"r_determig-pod-status.html","description":"This section describes how to verify that only the PCF Ops Center-specific pod is running on the secondary site. To verify if the Ops Center-specific pod is running in the PCF product namespace, use "},{"title":"Bringing Up the Primary Site","url":"r_bringing-up-primary-site.html","description":"This section describes how to bring up the primary site. Configure the secondary site to remove siteID on the PCF Ops Center:Before bringing up the primary site, remove the primary site\u0027s siteID from"},{"title":"Verifying if the Sessions are Synchronized","url":"r_verifying-sessions-synchronized.html","description":"This section describes how to verify if the sessions are synchronized between the sites. The site isolation implementation requires that sessions are synchronized between the primary-secondary-primar"},{"title":"Verifying if the Primary Site is Up","url":"r_verifying-primary-site-up.html","description":"This section describes how to confirm if the primary site is brought up successfully. To verify whether the primary site is up, review the deployment status and percentage usage using the following c"}]}]},{"title":"Simless Emergency Feature","url":"g_simless_emergency.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history_2_3.html","description":"Revision History Revision Details Release First introduced. 2022.01.0"}]},{"title":"Feature Description","url":"r_feature_description.html","description":"Simless emergency feature allows the UE without a SIM to make an emergency call. Emergency calls are routed to the emergency services in accordance with national regulations to the subscriber locatio"},{"title":"How it Works","url":"r_how_it_works.html","description":"This section describes how this feature works. Add the required DNN to the Emergency DNN list. To the added Emergency DNN, ensure that the Query LDAP is set to FALSE in DNN table to skip the LDAP Que"},{"title":"Feature Configuration","url":"r_feature_configuration_2_3.html","description":"To configure this feature, use the following configuration: Add DNN to the Emergency DNN List. Update the DNN Table. Add Is Emergency variable in the policies.","children":[{"title":"Add DNN to the Emergency DNN List","url":"r_add_dnn_to_the_emergency_dnn_list.html","description":"This section describes how to add DNN to the Emergency DNN List. Log in into Policy Builder. Click the Reference Data tab. From the left pane, click Systems. Click to expand your system name. Click P"},{"title":"Update DNN Table","url":"r_update_dnn_table.html","description":"This section describes how to update the DNN table. Log in to Policy Builder and navigate to Custom Reference Data. Click the Custom Reference Data. Click Logical_dnn in the Custom Reference Data Tab"},{"title":"Add Is Emergency Variable in the Policy","url":"r_add_is_emergency_variable_in_the_policy.html","description":"This section describes how to add Is Emergency variable in the custom policy. Log in into Policy Builder. Click the Tools menu and choose Preferences. Check the Show Policies (custom configuration) e"}]}]},{"title":"Service","url":"g_services.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4.html","children":[{"title":"Summary Data","url":"r_summary-data_2.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Default Setting Enabled \u2013 Always-on Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3.html","description":"Revision History Revision Details Release First introduced. 2020.01.0 Due to non-backward compatible changes in PCF operations center configuration model, a direct PCF upgrade is not possible. You mu"}]},{"title":"Feature Description","url":"r_overview.html","description":"A service dictates the capabilities that are assigned to a subscriber (in USuM). An administrator assigns a service to a user through the service configurations. Depending on the service provider\u0027s r","children":[{"title":"Service","url":"r_service.html","description":"A service is effectively a \u0022code\u0022 to label the service and a collection of Service Options which contain the definition of what a service is. Multiple services can be assigned to a single subscriber.","children":[{"title":"Adding a Service","url":"r_add-service.html","description":"Before adding a service, ensure that you have created the corresponding Use Case template for the service that you intend to add. For information on how to create a use case template, see Configuring"}]}]},{"title":"Service Configuration","url":"r_service-configuration.html","description":"PCF uses the low-level configuration objects to drive a feature in the system. You can configure the Service Configuration objects from the Service > Service Option > Use Case Template. Types of serv"},{"title":"Use Case Templates","url":"r_use-case-template.html","description":"Use case templates are the essential elements of the PCF architecture. The values that you define in the templates allow you to design and configure one or more services once and reuse them. Only adv","children":[{"title":"Configuring the Use Case Template","url":"r_config-usecase.html","description":"This section describes how to configure the use case template. Use the following steps to configure the use case template through Policy Builder. Log in to Policy Builder. Select the Services tab, an"}]},{"title":"GenericServiceConfiguration","url":"r_generic-service-configuration.html","description":"This section describes the parameters for the GenericServiceConfiguration service configuration object. GenericServiceConfiguration Parameters Parameters Description Priority Denotes the priority of "},{"title":"Common Parameters","url":"r_common-parameters.html","description":"These parameters are common between many service configuration objects. Common Service Configuration Object Parameters Parameter Description Apn Agg Max Bit Rate DL Defines the total bandwidth usage "}]},{"title":"Session Queries over LDAP","url":"g_forwarding-nap-plf.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5.html","description":"Revision History Revision Details Release Enhancement introduced. Added procedural information to configure the LDAP Endpoint. 2020.02.0 First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"In the policy-based network, the SPR/LDAP initiates a NAP notification towards PCF to signify a profile change. Upon receiving the notification, the PCF refreshes the subscriber profile by requerying"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"This section describes how this feature works.","children":[{"title":"NAP Notifications","url":"r_nap-notifications.html","description":"When you modify subscriber details, the NAP server, LDAP server, and PCF or PCRF perform the following operations: NAP request termination on the PCRF The LDAP server updates the NAP server with the "},{"title":"LDAP Queries","url":"r_plf-queries.html","description":"The Policy Server manages the 4G and 5G subscriber information in separate modules, which indicates that the PCRF continues to store the 4G-specific information, and PCF preserves the 5G-specific det"},{"title":"Call Flows","url":"r_call-flow.html","description":"This section describes the key call flows for this feature.","children":[{"title":"NAP Notification Call Flow","url":"r_call-flow-nap.html","description":"This section describes the NAP Notification call flow. NAP Notification Call Flow NAP Notification Call Flow Description Step Description 1 The SMF sends an N7 Create request to the PCF requesting th"},{"title":"LDAP Server Initialization Call Flow","url":"r_call-flow-ldap.html","description":"This section describes the LDAP Server Initialization call flow. LDAP Server Initialization Call Flow LDAP Server Initialization Call Flow Description Step Description 1 The SMF sends an N7 Create re"}]}]},{"title":"Enabling the Policy Server to Process the NAP and LDAP Queries","url":"r_enabling-the-policy-server-to-forward-the-nap-and-plf-queries-to-pcf-or-pcrf.html","description":"The configuration that enables the Policy Server to forward the NAP and LDAP queries to PCF or PCRF involves the following: Configuring the gRPC Endpoint for PCF Configuring the Forwarding Capability","children":[{"title":"Configuring the gRPC Endpoint for PCF","url":"r_configuring-the-grpc-endpoint-for-pcf.html","description":"This section describes how to configure the gRPC endpoint to route the messages for PCF. To set up the endpoint for gRPC, use the following configuration: config engine engine_group_name grpc externa"},{"title":"Configuring the Forwarding Capability","url":"r_config-forward-capability.html","description":"This section describes how to configure the forwarding capability. For High Availability (HA) or Geographic Redundancy (GR) environments, ensure that the PCF Engine can access the Policy Server VMs. "}]},{"title":"Configuration Support for PCF-NAP Requests","url":"r_conf-support-for-uni.html","description":"This section describes the prerequisites and configurations that are required to support the PCF-NAP communication. This configuration support involves the following: Prerequisites for PCF-NAP Reques","children":[{"title":"Prerequisites for PCF-NAP Requests","url":"r_prereq-nap.html","description":"This section describes the prerequisites that must be met for PCF-NAP communication. For PCF-NAP interaction, make sure that the following configurations are available in your environment: N7 interfa"},{"title":"Configuring the Unified API","url":"r_config-unified-api.html","description":"This section describes how to configure the unified API through the PCF Ops Center. PCF receive NAP requests to requery the LDAP and reevaluate policies after receiving notification about profile cha"},{"title":"Setting a Limit on NAP Requests","url":"r_setting-max-tp.html","description":"This section describes how to set a limit on the number of NAP requests for PCF to process.To configure the maximum number NAP requests TPS per PCF Engine deployment, use the following configuration "}]},{"title":"Configuration Support for LDAP Endpoint","url":"r_enabling-ldap.html","description":"This section describes how to configure the LDAP server endpoint that enables PCF to establish a connection with LDAP. The configuration of the LDAP server endpoint involves the following steps: Conf","children":[{"title":"Configuring the LDAP Endpoint","url":"r_config-ldap-server-ep.html","description":"This section describes how to configure the LDAP server endpoint and the associated filter mappings.Based on the LDAP endpoint configuration, the LDAP endpoint authenticates itself with PCF to retrie"},{"title":"Setting a Limit on LDAP Search Request","url":"r_setting-max-ldap-req.html","description":"This section describes how to set the limit on the number of LDAP search requests for PCF to process. To configure the maximum number LDAP requests TPS per replica, use the following configuration in"}]},{"title":"OAM Support","url":"r_operations-management.html","description":"This section describes operations, administration, and maintenance support for this feature.","children":[{"title":"Statistics","url":"r_statistics_2_3.html","description":"This section provides the list of statistics and counters that are involved when the Policy Server routes the LDAP queries and NAP notification to PCF or PCRF. PCF: inbound_request_total: Captures th"}]}]},{"title":"Specification Compliance - N7 and N28","url":"g_n7-n28-interface-enhancement.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33.html","description":"Revision History Revision Details Release Enhancement introduced. With this release, various service configurations are added and enhanced for compliance with the 3GPP December 2018 specification. Th"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"PCF complies to the 3GPP December 2018 specification by supporting the N7 and N28 interfaces.","children":[{"title":"Relationships","url":"r_relationships.html","description":"The SMF should comply to 3GPP December 2018 specification so that PCF can apply the dedicated bearer rules to SMF."},{"title":"Components","url":"r_architecture.html","description":"The following components are involved when PCF is configured to work with the N7 and N28 interface. N15 Interface N28 Interface N7 Interface N5 Interface","children":[{"title":"N15 Interface","url":"r_n15_interface.html","description":"The N15 interface complies with 3GPP TS 29.507 Release 15 specification."},{"title":"N28 Interface","url":"r_n28-interface.html","description":"The N28 interface complies with the 3GPP December 2018 specification. Hence, no compliance changes are required on the N28 interface for this feature."},{"title":"N7 Interface","url":"r_n7-interface.html","description":"The pcf-rest-ep and pcf-engine comply with the 3GPP December 2018 specification."},{"title":"N5 Interface","url":"r_n5_interface.html","description":"The pcf-rest-ep and pcf-engine comply with the 3GPP December 2020 specification."},{"title":"Rx Interface","url":"r_n5-rx-interface.html","description":"With the N7 interface being 3GPP December 2018 specification compliant, PCF supports the notification of rule status of the dedicated bearer rules. You can configure this support with the new \u0022ruleRe"}]}]},{"title":"Configuration Support for the N7 and N28 Interface","url":"r_configuring-n7-n28interface-enhancement.html","description":"This section describes how to configure the N7 and N28 interface by configuring the following services: SessionRule SessionRuleAction SessionRuleConditionData QosData TableDrivenQosDecision TableDriv","children":[{"title":"SessionRule","url":"r_config-sessionrule.html","description":"This section describes how to configure SessionRule Service. The SessionRule service configuration consists of policy information elements that are associated with a PDU session. The object configure"},{"title":"SessionRuleAction","url":"r_config-sessionruleaction.html","description":"This section describes how to configure the SessionRuleAction service. The SessionRuleAction service configures the values for the various SessionRuleAction attributes that are based on Policy or the"},{"title":"SessionRuleConditionData","url":"r_config-sessionruleconditiondata.html","description":"This section describes how to configure the SessionRuleConditionData service. The PCF schema lets you set a threshold for an active SessionRules service by configuring the SessionRuleConditionData se"},{"title":"QosData","url":"r_config-qos.html","description":"This section describes how to configure the QosData Service. The QosData Service configuration is updated with the parameters to meet the 3GPP December 2018 specification compliance. Before setting t"},{"title":"TableDrivenQosDecision","url":"r_config-tabledrivenqosdecision.html","description":"This section describes how to configure the TableDrivenQosDecision Service. The TableDrivenQosDecision service configuration captures the data from the custom CRD table for the newly added fields. Th"},{"title":"TableDrivenDynamicPccRule","url":"r_tabledrivendynamicpccrule.html","description":"This section describes how to configure the TableDrivenDynamicPccRule service. The TableDrivenDynamicPccRule service configuration shows one or more PCC rules that are available in the custom referen"},{"title":"Use Case Initiators","url":"r_config--usecase-initiators.html","description":"This section describes how to configure the Use Case Initiators. Use case initiators are a group of conditions that indicate the time, event, or functionality for a specific service to be added for a","children":[{"title":"Conditions of Input Variables","url":"r_conditions-input-variables.html","description":"The table lists the conditions for the input variables. Condition for Input Variable Description A Policy Request Message exists An N7, N15, N28, or UDR Policy Request message exists in the system. A"}]},{"title":"Retrievers","url":"r_configuringretrievers.html","description":"Retrievers are the values that are retrieved for the key columns from the custom reference data table. You can retrieve the value of retrievers in the following ways in Policy Builder. Using the Serv","children":[{"title":"Configuring Retrievers through Custom Reference Data Table","url":"r_config-retrievers-crd.html","description":"This section describes how to configure the retrievers through the custom reference data table. Log in to Policy Builder. From the Custom Reference Data Tables pane, select a rule. The parameters of "},{"title":"Configuring Retrievers through Service Configuration","url":"r_config-retrievers-service.html","description":"This section describes how to configure the retrievers through the service configuration. Log in to Policy Builder. From the Services pane, click the N7/N15 service-compliant configuration. Select a "}]}]}]},{"title":"Status Monitoring Using Commands","url":"g_status-monitoring.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"Summary DataApplicable Product(s) or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration required to disableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11.html","description":"Revision HistoryRevision DetailsRelease Enhancement introduced. Introduced procedure to view the NF connection status 2020.03.0 First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"PCF allows you to view the Diameter peer, LDAP connection, and NRF registration status using the PCF Ops Center. Alternatively, you can access this information from the Grafana dashboard. For informa"},{"title":"Viewing the Connection and Registration Status","url":"r_viewing-status.html","description":"This section describes how to view the Diameter peer, LDAP connection, and NRF registration status. Based on the component that you want to view the status for, use the following configuration: To vi"},{"title":"Viewing the NFs Connected to PCF","url":"r_viewing-nf-connection-status.html","description":"This section describes how to view the NFs that are presently connected to PCF. To view the NFs that are currently connected to PCF, use the following configuration: show rest-endpoint peer-status Th"},{"title":"Viewing the Discovered Endpoint","url":"r_viewing-discovered-ep.html","description":"This section describes how to view the discovered endpoint details such as the NF type, IP address, and the port number of the endpoint. Based on the endpoint that you want to view, use the following"},{"title":"Fetching the Subscriber Sessions","url":"r_fetch-subscriber.html","description":"This section describes how to fetch the subscriber sessions that are configured across regions. Prerequisites for Fetching Subscriber Sessions Viewing the Subscriber Session Details","children":[{"title":"Prerequisites for Fetching Subscriber Sessions","url":"r_prereq-subscriber-session.html","description":"This section describes the prerequisites configuration that you must configure before fetching the subscriber session data across the configured regions. The prerequisite configuration involves the f","children":[{"title":"Configuring the Configuration File","url":"r_configuration-file.html","description":"This section describes how to configure the cluster name, external IP address, and port number of the unified API service in the configuration file. The PCF configuration file determines the applicat","children":[{"title":"Verifying the Contents of the Configuration File","url":"r_verifying-show-config.html","description":"This section describes how to verify the contents of the configuration file. Use the deployment show-config command to view the deployment details. The following is a sample output of the deployment "},{"title":"Deleting the Configuration File","url":"r_deleting-configuration-file.html","description":"This section describes how to delete the configuration file. You can delete a configuration file when you no longer require any of the configured resources and services. To delete the configuration f"}]}]},{"title":"Viewing the Subscriber Session Details","url":"r_viewing-subscriber-session.html","description":"This section describes how to view the subscriber session information about the sessions configured. Before proceeding with the configuration, make sure that you have configured the cluster and exter"}]}]},{"title":"UDR Interface","url":"g_udr-interface.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5.html","description":"Summary DataApplicable Product(s) or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration required to disableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"Revision History Revision Details Release Enhancement introduced. Introduced changes related to the Nudr_DataRepository service. 2020.02.0 First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","description":"The PCF interfaces with the User Data Repository (UDR) to receive subscriber-related policies for User Equipment (UE) attach and session establishment. When a UE attaches to the network, AMF requires","children":[{"title":"API Details","url":"r_api-details.html","description":"DescriptionAPI URIRequest ParametersResponse ParametersRetrieves the access and mobility policy data for a subscriber.{apiRoot}/nudr-dr/v1/ policy-data/ues/{ueId} /am-dataPath and Query 200 Ok AmPoli"},{"title":"Parameter Details","url":"r_parameter-details.html","description":"PCF supports the following parameters:","children":[{"title":"AMPolicy Query Parameters","url":"r_am-policy-query-parameters.html","description":"AMPolicy Query ParametersParameter NameParameter TypeDescriptionueIdPathSUPI or GPSI"},{"title":"AmPolicyData","url":"r_ampolicydata.html","description":"AmPolicyDataParameter NameParameter TypeDescriptionueIdPathSUPI or GPSI AmPolicyData - List of category identifiers associated with the subscriber."},{"title":"SmPolicy Query Parameters","url":"r_sm-policy-query-parameters.html","description":"SmPolicy Query Parameters Parameter Name Parameter Type Description ueId Path SUPI or GPSI Snssai Query Identifies single network slice selection assistance information. Dnn Query Identifies a Data N"},{"title":"SmPolicyData","url":"r_smpolicydata.html","description":"Before configuring the SmPolicyData parameters, make sure that in the Policy Builder the policy subscriber AVP field has the following keys: allowedServices subscCats smPolicySnssaiData Object Parame"}]}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8.html","description":"This section describes how this feature works. The User Data Repository (UDR) provisions PCF to retrieve the data stored in the UDR through the Nudr_DataRepository service. The service is also respon","children":[{"title":"Call Flows","url":"r_call-flows.html","description":"This section describes the key call flows for this feature.","children":[{"title":"AM Policy Subscription Call Flow","url":"r_call-flow-amppolicy.html","description":"This section describes the AM Policy Subscription call flow . AM Policy Subscription Call Flow AM Policy Subscription Call Flow Description Step Description 1 The AMF sends a Npcf_AmPolicyControl_Cre"},{"title":"SM Policy Subscription Call Flow","url":"r_call-flow-smppolicy.html","description":"This section describes the SM Policy Subscription call flow. SM Policy Subscription Call Flow SM Policy Subscription Call Flow Description Step Description 1 The SMF sends a Npcf_SmPolicyControl_Crea"}]}]},{"title":"Configuring the UDR Base URL","url":"r_config-udr.html","description":"This section describes how to configure the UDR base URL discovery. You must configure the UDR base URL for discovering profiles. The base URL aids in navigating to the mapped UDR. In the absence of "},{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5_6_7_8.html","description":"This feature complies with the following standards specifications: 3GPP TS 23.501 \u0022System Architecture for the 5G System \u0022 3GPP TS 23.502 \u0022Procedures for the 5G System (5GS)\u0022 3GPP TS 23.503 \u0022Policy a"},{"title":"Filtering the Profile Data","url":"r_policy-builder.html","description":"PCF queries the subscriber attributes that are mapped in additional profiles from UDR for the N7 interface. Based on the UDR response, the attributes that are returned are mapped to the subscriber at"}]},{"title":"Update Requests Toward CHF","url":"g_ldap-notifications-support-toward-chf-n28-interface.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"Summary Data Applicable Product(s) or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Revision History Revision Details Release First introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","description":"The 4G CPS PCRF supports LDAP notification. In 5G, this support is available to PCF by using the same LDAP plugins which were deployed for 4G. PCF supports the following features: Requery Subscriber "},{"title":"How it Works","url":"r_how-it-works_2_3_4_5.html","description":"This section describes how this feature works. The SMF sends the N7 Create Request to PCF. PCF then sends the query to LDAP to find the subscriber profile. The LDAP notifications from the LDAP client","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5_6_7_8_9.html","description":"This feature complies with the following standards specifications: 3GPP TS 29.510 V15.2.0 (2018-12) \u0022Network Function Repository Services\u0022"}]},{"title":"Configuration Support for Setting up the Update Requests","url":"r_configuring-ldap-notifications-support-and-update-requests-toward-chf-support-over-n28-interface.html","description":"Setting up the update requests toward CHF involves configuring the following services: TableDrivenActionOverN28 SpendingLimitSubscription","children":[{"title":"TableDrivenActionOverN28","url":"r_tabledrivenactionovern28.html","description":"This section describes the parameters that are required to configure the TableDrivenActionOverN28 service. The TableDrivenActionOverN28 service configuration evaluates and retrieves action on the rec"},{"title":"SpendingLimitSubscription","url":"r_spendinglimitsubscription.html","description":"This section describes the parameters that are required to configure the SpendingLimitSubscription service. The SpendingLimitSubscription service configuration object is added for the N28 interface. "}]},{"title":"Use Case Template Actions","url":"r_use-case-template-actions-if-n28-tgpp-session-exists.html","description":"This section describes the actions that you can perform for the use case templates. The N28 TGPP session exists condition indicates that a valid N28 session exists for the use case to become true. Th"},{"title":"Troubleshooting Information","url":"r_troubleshooting-information_2.html","description":"For message routing failures, check the datastore pod health and the logs for any issues. For more information on how to check the pod health and logs, see Troubleshooting Information."}]},{"title":"VoNR through the Rx Interface","url":"g_volte-call-handling-rx-rerouting.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"Summary Data Applicable Products or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","description":"Revision History Revision Details Release Enhancement introduced. Revised the content to include the new and updated call flows that reflects support for the PCF to PCRF interaction which encourages "}]},{"title":"Feature Description","url":"r_feature-description_2_3.html","description":"PCF supports the full Diameter stack along with the standard Diameter interfaces like Rx. With this support, you can configure PCF to handle VoLTE calls for 4G and VoNR for 5G. In 4G scenarios, PCF s","children":[{"title":"Prerequisites","url":"r_prerequisites_2.html","description":"To enable the interaction between PCF and PCRF for VoLTE/VoNR calls, ensure to perform the following on PCRF: Install the following features by adding them to the /etc/broadhop/pcrf/features file: co"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6.html","description":"This section describes how this feature works.","children":[{"title":"Call Flows","url":"r_call-flows_2_3_4.html","description":"This section describes the following call flows.","children":[{"title":"Session Create, Update, and Terminate Call Flow","url":"r_session-create-update-and-terminate-call-flow.html","description":"This section describes the call flow to create, update, or terminate a session.Session Creation, Update, and Termination Call Flow Session Creation, Update, and Termination Call Flow Description Step"},{"title":"Binding Database Query Failures Call Flow","url":"r_binding-database-query-failures-call-flow.html","description":"This section describes the PCF failover for the binding database query call flow.PCF Failover for Binding Database Query Call Flow PCF Failover for Binding Database Query Call Flow Description Step D"},{"title":"Binding Database Query Call Flow","url":"r_binding-db-query-call-flow.html","description":"This section describes the PCF Rx rerouting and PCRF binding database call flow. PCF Rx Rerouting and PCRF Binding Database Call Flow PCF Rx Rerouting and PCRF Binding Database Call Flow Description "},{"title":"PCF Failover Call Flow","url":"r_pcf-failover-call-flow.html","description":"This section describes the PCF failover call flow.PCF Failover Call Flow PCF Failover Call Flow Description Step Description 1 When a Gx session exists on the PCRF and the local PCF has received the "}]},{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4.html","description":"This feature complies with the following standards specifications: 3GPP TS 29.510 V15.2.0 (2018-12) \u0022Network Function Repository Services\u0022"},{"title":"Limitations","url":"r_limitations.html","description":"This feature has the following limitations in this release: The deployment or configuration of the PCF Binding database (SkDB) Mongo instances is not supported via PCF. The PCF binding database insta"}]},{"title":"Enabling Interaction Between PCF and PCRF for VoNR Calls","url":"r_enabling-interaction-pcf-pcrf.html","description":"This section describes the configurations that you must perform to enable the interaction between PCF and PCRF. Configuring the Interface Between PCF and PCRF","children":[{"title":"Configuring the Interface Between PCF and PCRF","url":"r_config-grpc-interface.html","description":"The gRPC interface is configured on PCRF to accept the Diameter request. You can configure the gRPC interface by adding the com.broadhop.diameter2.local.cnat.feature to the /etc/broadhop/pcrf/feature"}]},{"title":"VoNR through Rx Interface OA&M Support","url":"r_operations-management_2.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Statistics","url":"r_statistics_2.html","description":"This section provides the list of statistics and counters that enable you to track the flow of messages between PCRF and PCF: grpc_message_send_total: Collects the total count of messages that are se"}]}]},{"title":"Advanced Tuning Parameters","url":"g_advanced-tuning.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history-content.html","children":[{"title":"Summary Data","url":"r_summary-data-content.html","description":"Summary DataApplicable Product(s) or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingDisabled \u2013 Configuration required to enableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history-content.html","description":"Revision History Revision Details Release Enhancement introduced. PCF supports message threshold per endpoint. 2022.02.0 Enhancement introduced. Added procedure to configure the N7 stale session erro"}]},{"title":"Feature Description","url":"r_feature-description-content.html","description":"The PCF Ops Center allows you to configure the advanced tuning parameters for PCF. The tuning parameters primarily consist of the async-threading and http2-threading parameters. These parameters prov"},{"title":"Configuration Support for the Advanced Tuning Parameters","url":"r_config-the-advanced-tuning-parameters.html","description":"This section describes how to configure the advanced tuning parameters using the CLI. The configuration of the advanced tuning parameters involves: Configuring the Async Threading Parameters Configur","children":[{"title":"Configuring the Async Threading Parameters","url":"r_conf-async.html","description":"This section describes how to fine tune the async threading parameters. To configure the http2-threading parameters, use the following configuration in the Policy Ops Center console: config advance-t"},{"title":"Configuring the HTTP2 Threading Parameters","url":"r_conf-http2threading.html","description":"This section describes how to refine the http2-threading parameters.To configure the http2-threading parameters, use the following configuration in the Policy Ops Center console:config http2-threadin"},{"title":"Configuring the N7 Stale Session Error Codes","url":"r_configuring-advance-tuning-n7-error-codes.html","description":"This section describes how to configure the error codes for the N7 stale sessions. To configure the n7-stale-session-error-codes parameters, use the following configuration in the Policy Ops Center c"},{"title":"Configuring the Message Threshold Per Endpoint","url":"r_configuring_the_message_threshold.html","description":"This section describes how to configure the message threshold enhancement. To configure the message threshold enhancement, use the following configuration in the Policy Ops Center console: config adv"},{"title":"Configuring the HTTP2 Heap Memory Tuning","url":"r_configuring-the-http2-heap-memory-tuning.html","description":"This section describes how to configure the http2 heap memory tuning. To configure the http2 heap memory tuning parameters, use the following configuration in the PCF Ops Center console: config advan"}]},{"title":"OAM Support","url":"r_oam_support.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Bulk Statistics Support","url":"r_bulk_statistics_support.html","description":"This section provides the list of statistics and counters that are generated for the monitoring for message threshold enhancement. The following values apply to all the statistics: Unit - Int64 Type "}]}]},{"title":"PCF Application-Based Alerts","url":"g_pcf-application-based-alerts.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revison-history_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35.html","description":"Summary Data Applicable Products or Functional Area PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required to enable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9.html","description":"Revision HistoryRevision DetailsReleaseFirst introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4.html","description":"When the system detects an anomaly, it generates an alert notification. The system statistics are the cause for these alert notifications. You can set an expression to trigger an alert when the expre"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"This section describes how this feature works. The Common Execution Environment (CEE) uses the Prometheus Alert Manager for alerting operations. The CEE YANG model, accessible through CLI or API, all"},{"title":"Configuring Alert Rules","url":"r_configuring-alert-rules.html","description":"This section describes how to configure the alert rules. To configure the alert rules, use the following configuration: config alerts rules group alert_group_name rule rule_name expression promql_exp","children":[{"title":"Viewing Alert Logger","url":"r_viewing-alert-logger.html","description":"The Alert Logger stores the alerts that PCF generates by defualt. You can view these alerts using the following command: show alert history [ filtering ] You can narrow down the result using the foll"}]},{"title":"Sample Alerts Configuration","url":"r_sample-alert-config.html","description":"This section provides sample configurations that are defined in PCF.","children":[{"title":"Interface-Specific Alerts","url":"r_interface-alerts.html","description":"N7 Interface Inbound Use the following commands to configure alerts related to an inbound N7 interface. alerts rules group PCFSvcStatus interval-seconds 300 rule PCFN7Inbound expression sum(increase("},{"title":"Message-Level Alerts","url":"r_message-level-alerts.html","description":"N7 Create Request Use the following commands to configure alerts related to N7 Create Request. alerts rules group PCFSvcStatus interval-seconds 300 rule N7CreateRequest expression sum(increase(inboun"},{"title":"Process-Level Alerts","url":"r_process-level-alerts.html","description":"CDL Endpoint Down Use the following commands to configure alerts related to CDL endpoint down. alerts rules group cdl-ep-change rule pod-down expression up{pod=~\u0027cdl-ep.*\u0027} == 0 duration 1m severity "},{"title":"Call Flow Procedure Alerts","url":"r_call-flow-alerts.html","description":"LDAP Query Request Use the following commands to configure alerts related to LDAP Query Request. alerts rules group PCFProcStatus interval-seconds 300 rule LDAPQuery expression sum(increase(message_t"},{"title":"System Alerts","url":"r_system-alerts.html","description":"Disk Full Alert Use the following commands to configure alerts related to disk full alert. alerts rules group rule node-disk-running-full expression node_filesystem_usage > 0.0001 duration 5m severit"}]}]},{"title":"Event Logs","url":"g_application-logging.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","description":"Summary DataApplicable Product(s) or Functional AreaPCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Always-onRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12.html","description":"Revision HistoryRevision DetailsReleaseFirst introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12.html","description":"PCF provides a centralized view of the application logs that are consolidated from different containers. The unified view improves the efficiency as you can determine the issue faster instead of acce"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"This section describes how this feature works. The OAM node hosts the logs which different application containers generate. These containers include the pcf (engine), pcf-rest-ep, policy-builder, dia"},{"title":"Viewing the Logs","url":"r_viewing-consolidated-logs.html","description":"This section describes how to view the consolidated application logs. To view the consolidated logs, use the following command: kubectl logs -n namespace consolidated-logging-0 NOTES: namespace \u2013 Spe"},{"title":"Troubleshooting Information","url":"r_troubleshooting-information.html","description":"This section provides information for troubleshooting any issues that may arise during the feature operation. If the logs are not generated in the consolidated-logging-0 pod, then one of the followin"}]},{"title":"Troubleshooting Information","url":"g_chapter-troubleshooting.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"Summary Data Applicable Product(s) or Functional Area SMI Applicable Platform(s) PCF Feature Default Setting Enabled \u2013 Configuration required to disable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7.html","description":"Revision History Revision Details Release First introduced. 2020.01.0"}]},{"title":"Debugging the PCF Deployment Issues","url":"r_deployment-issues.html","description":"This section describes how to debug the issues that may occur when you deploy PCF through the SMI Deployer. To debug the deployment issues, use the following checklist. If the checklist does not assi"},{"title":"Issue with Refreshing the PCF Ops Center","url":"r_refreshing-issue.html","description":"This section describes how to refresh the PCF Ops Center to display the latest configurations. Problem The PCF Ops Center is not considering the recent configurations due to which you may observe sta"},{"title":"Subscriber Not Found or Primary Key Not Found","url":"r_subscriber-issues.html","description":"This section describes how to resolve the issues that report the Subscriber Not Found or Primary Key Not Found messages. Problem When the NFs cannot find the subscriber details, they send the Subscri"},{"title":"Message Routing Issues","url":"r_message-routing.html","description":"This section describes how to troubleshoot the message routing issues. Problem You may observe a message routing failure when a message from the PCF endpoint incorrectly routes a message from Canary "},{"title":"Collecting the Troubleshooting Information","url":"r_log-information.html","description":"If you encounter issues in your PCF environment, gather and analyse the information associated to the failed action or process. Having this information enables you to detect the component that experi"},{"title":"Interface Error Codes","url":"r_error-codes.html","description":"This section describes the codes that PCF reports for the interface errors. Interface codes are generated as part of the logs or captured in the statistics. The following tables describes the error a"},{"title":"Forwarding logs to the Splunk Server","url":"r_forwarding-logs-splunk.html","description":"This section describes how to enable PCF to forward the logs to the Splunk server. Splunk is a third-party monitoring application that stores the log files and provides index-based search capability."},{"title":"Pods stop running when PCF is upgraded through the Rolling Upgrade process","url":"r_pods_disappearing.html","description":"This section describes how to ensure that the pods are running when PCF is upgraded. Problem When the PCF version is upgraded to the subsequent available version, some pods such as CRD and Policy Eng"}]}]},{"title":"Sample PCF Configuration","url":"part_sample_config.html","children":[{"title":"Sample PCF Configuration","url":"c_sample-config.html","children":[{"title":"Sample Configuration File","url":"r_sample_2020_04.html","description":"The following is only a sample configuration file provided solely for your reference. You must create and modify your own configuration file according to the specific needs of your deployment. The ma"}]}]},{"title":"Metrics Reference","url":"g_stats-kpi-reference-generic.html","children":[{"title":"Prometheus and Grafana","url":"g_overview-stats.html","children":[{"title":"Feature Summary","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documentatio"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","description":"You can a monitor wide range of application and system statistics, and key performance indicators (KPI) within the PCF infrastructure. KPIs are useful to gain insight into the overall health of the P","children":[{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"KPIs constitute of metrics such as statistics and counters. These metrics represent the performance improvement or degradation. By default, Prometheus is enabled on the system where PCF is deployed, "}]},{"title":"Managing the PCF Statistics","url":"r_managing-the-pcf-statistics.html","description":"This section describes how to view statistics within PCF. Managing the PCF statistics involves the following: Viewing the Statistics Accessing the Grafana Dashboard Viewing the PCF Dashboard Running ","children":[{"title":"Viewing the Statistics","url":"r_viewing-the-statistics.html","description":"This section describes how to view the statistics information. On the system where PCF is deployed, navigate to the following URL: https://docs.namespace-product-documentation.IP_address.nip.io/ All "},{"title":"Accessing the Grafana Dashboard","url":"r_accessing-the-grafana-dashboard.html","description":"This section describes how to access Grafana to view the visual representation of KPIs. On the system where PCF is deployed, navigate to the following URL to view the dashboard: https://grafana.smi-c"},{"title":"Viewing the PCF Dashboard","url":"r_viewing-the-pcf-dashboard.html","description":"This section how to view the PCF dashboard. On the PCF Application dashboard, in the left pane, click the dashboard icon to open the menu and select Manage. In the Manage tab, click the namespace fol"},{"title":"Running a Query in Grafana","url":"r_running-a-query-in-grafana.html","description":"This section describes how to execute a query in Grafana. The PCF Dashboard creates a panel containing the graph that is based on the query that it ingests. Grafana brings up a panel to visualize dat"},{"title":"Configuring Autorefresh","url":"r_configuring-auto-refresh.html","description":"This section describes how to configure autorefresh to ensure that you view the recent information on Grafana. On the PCF Application dashboard, click the gear on the top-right corner to open the Set"},{"title":"Exporting and Importing Dashboards","url":"r_exporting-and-importing-dashboards.html","description":"This section describes how to export and import Grafana dashboards between environments and share them.","children":[{"title":"Exporting Dashboards","url":"r_exporting-dashboards.html","description":"To export a dashboard configuration to a file: Log in as an administrative user. Open the dashboard that you want to export. Click the gear icon at the top of the page, and then click Export to save "},{"title":"Importing Dashboards","url":"r_importing-dashboards.html","description":"To import a dashboard from a file: Log in as an administrative user. In the left pane, click the Dashboard icon to open the menu and click Home. The home pane opens. Click the Home drop-down and clic"},{"title":"Exporting the Graph Data to CSV","url":"r_exporting-the-graph-data-to-csv.html","description":"This section describes how to export a dashboard in a CSV format. On the Grafana dashboard, click the title of the graph to open the graph controls. Click the rows button to open the menu. To view th"}]},{"title":"Filtering the Graphs","url":"r_filtering-the-graphs.html","description":"This section describes how to filter graphs on a dashboard. You can narrow down the visualizations appearing on a dashboard by filtering them based on the specific time range. On the PCF Application "}]},{"title":"Bulk Statistics","url":"r_bulk-stats.html","description":"Bulk statistics are the statistics that are collected periodically and written to a set of CSV files. These statistics can be used by external analytic processes and/or network management systems. Bu","children":[{"title":"Configuring the Bulk Statistics Collection","url":"r_config-bulk-stats.html","description":"This section describes how to configure the bulk statistics collection feature. You can optimize and control the bulk statistics collection by creating the Prometheus query that you configure on the "},{"title":"Sample Queries for Bulk Statistics","url":"r_sample-bulk-stat-queries.html","description":"This section contains the sample Prometheus queries. PCF Sample Queries Query Description incoming_request_total{interface_name=\u0022N7\u0022\u0022N5\u0022, command=\u0022Create\u0022} Fetches the total incoming create request f"},{"title":"Sample Configuration","url":"r_sample-bulk-stat.html","description":"The following is a sample bulk statistic: cee(config)# bulk-stats enable true bulk-stats query diameter_request_total expression \u0022sum(irate(diameter_requests_total{exported_application=~\\\u0022.*\\\u0022,comman"},{"title":"Sample Bulk Statistics Configuration","url":"r_sample-bulk-statistics-configuration.html","description":"This section provides sample bulk statistics configurations that are defined in PCF. LDAP_Max_Avail_Connections bulk-stats query LDAP_Max_Avail_Connections expression sum(ldap_connections_total{type="}]}]},{"title":"Statistics and KPI Reference","url":"g_stats-kpi-reference.html","children":[{"title":"PCF Statistics","url":"r_pcfstatistics.html","children":[{"title":"PCF Service Category","url":"r_pcf_service_category.html","description":"charging_rule_base_total Description: Total number of charging rule Sample Query: sum(irate(charging_rule_base{interface=\\\u0022N7\\\u0022\\\u0022N5\\\u0022,name=~\\\u0022.*\\\u0022,action=\\\u0022install\\\u0022}[1m])) by (interface,name,action)"},{"title":"PCF Endpoint Requests Category","url":"r_pcf_endpoint_requests_category.html","description":"async_svc_runnable_time Description: Total Async Service Runnable Count Sample Query: async_svc_runnable_time{service_name=\\\u0022N5\\\u0022,\\\u0022npcf-smpolicycontrol\\\u0022, operation=\\\u0022Npcf_SMPolicyControl_UpdateNoti"},{"title":"PCF Diameter Stats Category","url":"r_pcf_diameter_stats_category.html","description":"diameter_late_responses_total Description: Captures the total count of Diameter responses that the PCF Engine took time to process Sample Query: diameter_late_responses_total{command_code=\\\u0022AAR\\\u0022,app"}]},{"title":"Interface KPIs","url":"r_interfacekpis.html","description":"N7 Data Create Success Rate without timeouts Description: Counts the N7 data create success rate without timeouts. Formula: sum(irate(incoming_request_total{interface_name=\u0022N7\u0022, command=\u0022Create\u0022, res"},{"title":"System KPIs","url":"r_systemkpis.html","children":[{"title":"System Health Monitoring KPIs","url":"r_systemhealthkpi.html","description":"The following table lists the KPIs and thresholds to track the overall performance of the PCF deployment, including information about the underlying hardware. CPU Utilization Description: CPU is a cr"},{"title":"System Status KPIs","url":"r_systemstatuskpis.html","description":"system_mode Description: Indicates the current mode the system is running on. Statistics/Formula: system_mode Labels: Label: 0 Label Description: The system is in shutdown mode. Label: 1 Label Descri"},{"title":"System Configuration KPIs","url":"r_systemconfigurationkpis.html","description":"system_configuration_bac kup_total Description: Captures the total number of system configuration backups that are executed. Statistics/Formula: irate(system_configuration_backup_total [1m]) Labels: "},{"title":"CPU Category","url":"r_cpu_category.html","description":"node_cpu_seconds_total Description: Seconds the cpus spent in each mode Sample Query: avg(irate(node_cpu_seconds_total{mode=~\\\u0022irq|softirq\\\u0022}[1m])) by (instance) * 100 Labels: Label: instance Label D"},{"title":"Disk Category","url":"r_disk_category.html","description":"node_disk_bytes_read Description: This metrics gives the total number of bytes read successfully. Sample Query: sum(irate(node_disk_bytes_read[1m])) by (instance) Labels: Label: instance Label Descri"},{"title":"File System Category","url":"r_file_system_category.html","description":"node_filesystem_free_bytes Description: This metrics gives the total number of bytes of the free disk space available on the instance Sample Query: sum(node_filesystem_free_bytes{mountpoint=\\\u0022/data\\\u0022"},{"title":"Load Category","url":"r_load_category.html","description":"node_load1 Description: This metrics gives the 1m load average. Metric Type: Gauge Data Type: Float Sample Query: avg(irate(node_load1[1m])) by (instance) Labels: Label: instance Label Description: t"},{"title":"Memory Category","url":"r_memory_category.html","description":"node_memory_MemFree_bytes Description: This metrics gives the total number of bytes of the free memory available on the node Sample Query: sum(node_memory_MemFree_bytes) by (instance) Labels: Label: "},{"title":"Network Category","url":"r_network_category.html","description":"node_network_receive_bytes_total Description: This metrics gives the total number of bytes received over the network device Sample Query: sum(irate(node_network_receive_bytes_total[1m])) by (device) "}]}]},{"title":"MIB Reference","url":"g_mib.html","children":[{"title":"CISCO-CNEE-MIB","url":"cisco-cnee-mib-my.html","description":"ciscoCneeMIB Module Identity Last Updated: \u0022201910120000Z\u0022 Organization: \u0022Cisco Systems, Inc.\u0022 Contact Info: \u0022Cisco Systems Customer Service Postal: 170 W Tasman Drive San Jose, CA 95134 USA Tel: +1 "},{"title":"CISCO-SMI","url":"cisco-smi-my.html","description":"ciscoProducts Object ID Status: current Description: ciscoProducts is the root OBJECT IDENTIFIER from which sysObjectID values are assigned. Actual values are defined in CISCO-PRODUCTS-MIB. { cisco 1"}]}]}]